# List of software (un)affected by the log4shell CVEs
[About this list](README.md)

[0-9](software_list_0-9.md) [A](software_list_a.md) [B](software_list_b.md) [C](software_list_c.md) [D](software_list_d.md) [E](software_list_e.md) [F](software_list_f.md) [G](software_list_g.md) [H](software_list_h.md) [I](software_list_i.md) [J](software_list_j.md) [K](software_list_k.md) [L](software_list_l.md) [M](software_list_m.md) [N](software_list_n.md) [O](software_list_o.md) [P](software_list_p.md) [Q](software_list_q.md) [R](software_list_r.md) [S](software_list_s.md) [T](software_list_t.md) [U](software_list_u.md) [V](software_list_v.md) [W](software_list_w.md) [X](software_list_x.md) [Y](software_list_y.md) [Z](software_list_z.md)

### A

| Supplier | Product | Version (see Status) | Status CVE-2021-4104 | Status CVE-2021-44228 | Status CVE-2021-45046 | Status CVE-2021-45105 | Notes | Links |
|:---------|:--------|:--------------------:|:--------------------:|:---------------------:|:---------------------:|:---------------------:|:------|------:|
|ABB|Alarminsight Cloud| |Not vuln|Not vuln|Not vuln|Not vuln| |[source](https://search.abb.com/library/Download.aspx?DocumentID=9ADB012621&amp;LanguageCode=en&amp;DocumentPartId=&amp;Action=Launch)|
|ABB|B&R Products| |Not vuln|Not vuln|Not vuln|Not vuln| |[source](https://www.br-automation.com/downloads_br_productcatalogue/assets/1639507581859-en-original-1.0.pdf)|
|ABB|Remote Service| |Not vuln|Fix| | |Details are shared with customers with an active RAP subscription|"[source](https://search.abb.com/library/Download.aspx?DocumentID=9ADB012621&amp;LanguageCode=en&amp;DocumentPartId=&amp;Action=Launch)"|
|Abbott| All| | |Investigation| | | |[source](https://www.abbott.com/policies/cybersecurity/apache-Log4j.html)|
|Abbott| GLP Track System | Track Sample Manager (TSM) and Track Workflow Manager (TWM) communication interfaces |  | Vulnerable | Vulnerable | Vulnerable | Abbott will provide a fix for this in a future update expected in January 2022. |[source](https://www.abbott.com/policies/cybersecurity/apache-Log4j.html)|
|Abnormal Security|All| |Not vuln|Not vuln|Not vuln|Not vuln| |[Abnormal Blog](https://abnormalsecurity.com/blog/attackers-use-email-log4j-vulnerability)|
|Accellence|All| | | | | | |[Accellence Article](https://www.accellence.de/en/articles/national-vulnerability-database-62)|
|Accellence Technologies|EBÜS|All|Not vuln|Workaround| | |EBÜS itself is not vulnerable to CVE-2021-44228. Although it includes several 3rd-partie software setups, which may be affected (see source for more info).|[source](https://www.accellence.de/en/articles/cve-2021-44228-62)|
|Accellence Technologies|vimacc|All|Not vuln|Not vuln|Not vuln|Not vuln| |[source](https://www.accellence.de/en/articles/cve-2021-44228-62)|
|Accellion|Kiteworks|v7.6 release|Not vuln|Fix| | |As a precaution, Kiteworks released a 7.6.1 Hotfix software update to address the vulnerability. This patch release adds the mitigation for CVE-2021-44228 contained in the Solr package as recommended by Apache Solr group. Specifically, it updates the Log4j library to a non-vulnerable version on CentOS 7 systems as well as adds the recommended option “$SOLR_OPTS -Dlog4j2.formatMsgNoLookups=true” to disable the possible attack vector on both CentOS 6 and CentOS 7.|[Kiteworks Statement](https://www.kiteworks.com/kiteworks-news/log4shell-apache-vulnerability-what-kiteworks-customers-need-to-know/)|
|Accruent|Analytics| |Not vuln|Fix| | | |[source](https://www.accruent.com/resources/articles/incident-apache-log4j2)|
|Accruent|Asset Enterprise| |Not vuln|Not vuln|Not vuln|Not vuln| |[source](https://www.accruent.com/resources/articles/incident-apache-log4j2)|
|Accruent|BigCenter| |Not vuln|Fix| | | |[source](https://www.accruent.com/resources/articles/incident-apache-log4j2)|
|Accruent|EMS| |Not vuln|Not vuln|Not vuln|Not vuln| |[source](https://www.accruent.com/resources/articles/incident-apache-log4j2)|
|Accruent|Evoco| |Not vuln|Fix| | | |[source](https://www.accruent.com/resources/articles/incident-apache-log4j2)|
|Accruent|Expesite| |Not vuln|Fix| | | |[source](https://www.accruent.com/resources/articles/incident-apache-log4j2)|
|Accruent|Famis 360| |Not vuln|Fix| | | |[source](https://www.accruent.com/resources/articles/incident-apache-log4j2)|
|Accruent|Lucernex| |Not vuln|Fix| | | |[source](https://www.accruent.com/resources/articles/incident-apache-log4j2)|
|Accruent|Maintenance Connection| |Not vuln|Not vuln|Not vuln|Not vuln| |[source](https://www.accruent.com/resources/articles/incident-apache-log4j2)|
|Accruent|Meridian| |Not vuln|Fix| | | |[source](https://www.accruent.com/resources/articles/incident-apache-log4j2)|
|Accruent|Single Sign On (SSO, Central Auth)| |Not vuln|Not vuln|Not vuln|Not vuln| |[source](https://www.accruent.com/resources/articles/incident-apache-log4j2)|
|Accruent|SiteFM3| |Not vuln|Fix| | | |[source](https://www.accruent.com/resources/articles/incident-apache-log4j2)|
|Accruent|SiteFM4| |Not vuln|Fix| | | |[source](https://www.accruent.com/resources/articles/incident-apache-log4j2)|
|Accruent|Siterra| |Not vuln|Fix| | | |[source](https://www.accruent.com/resources/articles/incident-apache-log4j2)|
|Accruent|TMS| |Not vuln|Not vuln|Not vuln|Not vuln| |[source](https://www.accruent.com/resources/articles/incident-apache-log4j2)|
|Accruent|VxField| |Not vuln|Not vuln|Not vuln|Not vuln| |[source](https://www.accruent.com/resources/articles/incident-apache-log4j2)|
|Accruent|VxMaintain/VxObserve/VxSustain| |Not vuln|Fix| | | |[source](https://www.accruent.com/resources/articles/incident-apache-log4j2)|
|Acquia|All| | | | | | |[Acquia Article](https://support.acquia.com/hc/en-us/articles/4415823329047-Apache-log4j-CVE-2021-44228)|
|Acronis|All| | |Investigation| | |See further information below|[source](https://security-advisory.acronis.com/advisories/SEC-3859)|
|Acronis|Backup|11.7|Not vuln|Not vuln|Not vuln|Not vuln| |[source](https://security-advisory.acronis.com/advisories/SEC-3859)|
|Acronis|Cyber Backup|12.5|Not vuln|Not vuln|Not vuln|Not vuln| |[source](https://security-advisory.acronis.com/advisories/SEC-3859)|
|Acronis|Cyber Files|8.6.2 onwards|Not vuln|Not vuln|Not vuln|Not vuln| |[source](https://security-advisory.acronis.com/advisories/SEC-3859)|
|Acronis|Cyber Infrastructure|3.5 and 4.x|Not vuln|Not vuln|Not vuln|Not vuln| |[source](https://security-advisory.acronis.com/advisories/SEC-3859)|
|Acronis|Cyber Protect|15|Not vuln|Not vuln|Not vuln|Not vuln| |[source](https://security-advisory.acronis.com/advisories/SEC-3859)|
|Acronis|Cyber Protection Home Office|2017 onwards|Not vuln|Not vuln|Not vuln|Not vuln| |[source](https://security-advisory.acronis.com/advisories/SEC-3859)|
|Acronis|DeviceLock DLP|9.0|Not vuln|Not vuln|Not vuln|Not vuln| |[source](https://security-advisory.acronis.com/advisories/SEC-3859)|
|Acronis|Files Connect|10.7 onwards|Not vuln|Not vuln|Not vuln|Not vuln| |[source](https://security-advisory.acronis.com/advisories/SEC-3859)|
|Acronis|MassTransit|8.1 and 8.2|Not vuln|Not vuln|Not vuln|Not vuln| |[source](https://security-advisory.acronis.com/advisories/SEC-3859)|
|Acronis|Snap Deploy|5 and 6|Not vuln|Not vuln|Not vuln|Not vuln| |[source](https://security-advisory.acronis.com/advisories/SEC-3859)|
|ActiveState|All| | | | | | |[ActiveState Blog Post](https://www.activestate.com/blog/activestate-statement-java-log4j-vulnerability/)|
|Acunetix|360|All| |Not vuln| | | |[source](https://www.acunetix.com/blog/web-security-zone/critical-alert-log4shell-cve-2021-44228-in-log4j-possibly-the-biggest-impact-vulnerability-ever/)|
|Acunetix|Agents|All| |Not vuln| | | |[source](https://www.acunetix.com/blog/web-security-zone/critical-alert-log4shell-cve-2021-44228-in-log4j-possibly-the-biggest-impact-vulnerability-ever/)|
|Acunetix|Application|All| |Not vuln| | | |[source](https://www.acunetix.com/blog/web-security-zone/critical-alert-log4shell-cve-2021-44228-in-log4j-possibly-the-biggest-impact-vulnerability-ever/)|
|Acunetix|IAST: ASP. NET|All| |Not vuln| | | |[source](https://www.acunetix.com/blog/web-security-zone/critical-alert-log4shell-cve-2021-44228-in-log4j-possibly-the-biggest-impact-vulnerability-ever/)|
|Acunetix|IAST: Java|All|Not vuln|Workaround| | |AcuSensor IAST module needs attention|[source](https://www.acunetix.com/blog/web-security-zone/critical-alert-log4shell-cve-2021-44228-in-log4j-possibly-the-biggest-impact-vulnerability-ever/)|
|Acunetix|IAST: NodeJS|All| |Not vuln| | | |[source](https://www.acunetix.com/blog/web-security-zone/critical-alert-log4shell-cve-2021-44228-in-log4j-possibly-the-biggest-impact-vulnerability-ever/)|
|Acunetix|IAST: PHP|All| |Not vuln| | | |[source](https://www.acunetix.com/blog/web-security-zone/critical-alert-log4shell-cve-2021-44228-in-log4j-possibly-the-biggest-impact-vulnerability-ever/)|
|Adaptec|All| | | | | | |[Adaptec Link](https://ask.adaptec.com/app/answers/detail/a_id/17523/kw/log4j)|
|Addigy|All| | | | | | |[Addigy Blog Post](https://addigy.com/blog/addigy-and-apaches-log4j2-cve-2021-44228-status/)|
|Adeptia|All| | | | | | |[Adeptia Article](https://support.adeptia.com/hc/en-us/articles/4412815509524-CVE-2021-44228-Log4j2-Vulnerability-Mitigation-)|
|Adeptia|Connect|3.3| |Workaround|Workaround|Workaround|Advisory mentioned only log4j2 and not the CVE|[source](https://enable-u.us10.list-manage.com/track/click?u=7199eb80b888255247a943e6a&id=c514b59a73&e=7171615024)|
|Adeptia|Connect|3.4, 3.5| |Workaround|Workaround|Workaround|Advisory mentioned only log4j2 and not the CVE|[source](https://enable-u.us10.list-manage.com/track/click?u=7199eb80b888255247a943e6a&id=370ed2213c&e=7171615024)|
|Adeptia|Suite|6.9.10, 6.9.11| |Workaround|Workaround|Workaround|Advisory mentioned only log4j2 and not the CVE|[source](https://enable-u.us10.list-manage.com/track/click?u=7199eb80b888255247a943e6a&id=6b4f074159&e=7171615024)|
|Adeptia|Suite|6.9.9| |Workaround|Workaround|Workaround|Advisory mentioned only log4j2 and not the CVE|[source](https://enable-u.us10.list-manage.com/track/click?u=7199eb80b888255247a943e6a&id=3b70f3f0d2&e=7171615024)|
|Adobe|Acrobat Reader| | |Not vuln| | | |[source](https://community.adobe.com/t5/acrobat-discussions/acrobat-affected-by-apache-log4j-vulnerability-cve-2021-44228/td-p/12590329?profile.language=fr)|
|Adobe|All| | |Investigation| | | |[source](https://helpx.adobe.com/security/products/log4j-2-advisory.html)|
|Adobe|Automated Forms Conversion Service| | |Vulnerable| | | |[source](https://helpx.adobe.com/experience-manager/kb/aem-forms-vulnerability-cve-2021-44228.html)|
|Adobe|ColdFusion|All|Not vuln|Fix| | |"<a href=""https://helpx.adobe.com/coldfusion/kb/log4j-vulnerability-coldfusion.html"" rel=""nofollow"">Patched on Dec 17th</a>"|[source](https://helpx.adobe.com/coldfusion/kb/log4j-vulnerability-coldfusion.html)|
|Adobe|Experience Manager 6.3 Forms on JEE|all versions from 6.3 GA to 6.3.3|Not vuln|Workaround| | | |[source](https://helpx.adobe.com/experience-manager/kb/aem-forms-vulnerability-cve-2021-44228.html)|
|Adobe|Experience Manager 6.4 Forms Designer| | |Vulnerable| | | |[source](https://helpx.adobe.com/experience-manager/kb/aem-forms-vulnerability-cve-2021-44228.html)|
|Adobe|Experience Manager 6.4 Forms on JEE|all versions from 6.4 GA to 6.4.8|Not vuln|Workaround| | | |[source](https://helpx.adobe.com/experience-manager/kb/aem-forms-vulnerability-cve-2021-44228.html)|
|Adobe|Experience Manager 6.5 Forms Designer| |Not vuln|Fix| | | |[source](https://helpx.adobe.com/experience-manager/kb/aem-forms-vulnerability-cve-2021-44228.html)|
|Adobe|Experience Manager 6.5 Forms on JEE|all versions from 6.5 GA to 6.5.11|Not vuln|Workaround| | | |[source](https://helpx.adobe.com/experience-manager/kb/aem-forms-vulnerability-cve-2021-44228.html)|
|Adobe|Experience Manager Forms on OSGi|All|Not vuln|Not vuln|Not vuln|Not vuln| |[source](https://helpx.adobe.com/experience-manager/kb/aem-forms-vulnerability-cve-2021-44228.html)|
|Adobe|Experience Manager Forms Workbench|All|Not vuln|Not vuln|Not vuln|Not vuln| |[source](https://helpx.adobe.com/experience-manager/kb/aem-forms-vulnerability-cve-2021-44228.html)|
|Adobe ColdFusion|All| | | | | | |[Adobe ColdFusion Link](https://helpx.adobe.com/coldfusion/kb/log4j-vulnerability-coldfusion.html)|
|ADP|All| | |Investigation| | |Patching were needed, no signs of intrusion|[source](https://www.adp.com/about-adp/data-security/alerts/adp-vulnerability-statement-apache-log4j-vulnerability-cve-2021-44228-update.aspx)|
|Advanced Systems Concepts (formally Jscape)|Active MFT| |Not vuln|Not vuln|Not vuln|Not vuln|This advisory is available to customers only and has not been reviewed by CISA|[Log4J Vulnerabilty](https://support.advsyscon.com/hc/en-us/articles/4413631831569)|
|Advanced Systems Concepts (formally Jscape)|MFT| |Not vuln|Not vuln|Not vuln|Not vuln|This advisory is available to customers only and has not been reviewed by CISA|[Log4J Vulnerabilty](https://support.advsyscon.com/hc/en-us/articles/4413631831569)|
|Advanced Systems Concepts (formally Jscape)|MFT Gateway| |Not vuln|Not vuln|Not vuln|Not vuln|This advisory is available to customers only and has not been reviewed by CISA|[Log4J Vulnerabilty](https://support.advsyscon.com/hc/en-us/articles/4413631831569)|
|Advanced Systems Concepts (formally Jscape)|MFT Server| |Not vuln|Not vuln|Not vuln|Not vuln|This advisory is available to customers only and has not been reviewed by CISA|[Log4J Vulnerabilty](https://support.advsyscon.com/hc/en-us/articles/4413631831569)|
|AFAS|All| |Not vuln|Not vuln|Not vuln|Not vuln| |[source](https://help.afas.nl/vraagantwoord/NL/SE/120439.htm)|
|AFAS Software|All| | | | | | |[AFAS Software Link](https://help.afas.nl/vraagantwoord/NL/SE/120439.htm)|
|AFHCAN Global LLC|AFHCANcart|8.0.7 - 8.4.3|Not vuln|Not vuln|Not vuln|Not vuln| |[source](https://afhcan.org/support.aspx)|
|AFHCAN Global LLC|AFHCANmobile|8.0.7 - 8.4.3|Not vuln|Not vuln|Not vuln|Not vuln| |[source](https://afhcan.org/support.aspx)|
|AFHCAN Global LLC|AFHCANServer|8.0.7 - 8.4.3|Not vuln|Not vuln|Not vuln|Not vuln| |[source](https://afhcan.org/support.aspx)|
|AFHCAN Global LLC|AFHCANsuite|8.0.7 - 8.4.3|Not vuln|Not vuln|Not vuln|Not vuln| |[source](https://afhcan.org/support.aspx)|
|AFHCAN Global LLC|AFHCANupdate|8.0.7 - 8.4.3|Not vuln|Not vuln|Not vuln|Not vuln| |[source](https://afhcan.org/support.aspx)|
|AFHCAN Global LLC|AFHCANweb|8.0.7 - 8.4.3|Not vuln|Not vuln|Not vuln|Not vuln| |[source](https://afhcan.org/support.aspx)|
|Agilysys|All| | | | | | |[Agilysys Link](https://info.agilysys.com/webmail/76642/2001127877/c3fda575e2313fac1f6a203dc6fc1db2439c3db0da22bde1b6c1b6747d7f0e2f)|
|Ahsay|Mobile|version 1.6+|Not vuln|Not vuln|Not vuln|Not vuln| |[source](https://wiki.ahsay.com/doku.php?id=public:announcement:cve-2021-44228_log4j)|
|Ahsay|Other products|version 8.5.4.86 (and above)|Not vuln|Not vuln|Not vuln|Not vuln| |[source](https://wiki.ahsay.com/doku.php?id=public:announcement:cve-2021-44228_log4j)|
|Ahsay|PRD|version 2.0|Not vuln|Not vuln|Not vuln|Not vuln| |[source](https://wiki.ahsay.com/doku.php?id=public:announcement:cve-2021-44228_log4j)|
|Aiden|All|All|Not vuln|Not vuln|Not vuln|Not vuln| |[source](https://www.meetaiden.com/knowledge-base/is-aiden-vulnerable-to-cve-2021-44228-log4j-log4shell/)|
|AIL|All|All|Not vuln|Not vuln|Not vuln|Not vuln| |[source](https://twitter.com/ail_project/status/1470373644279119875)|
|Akamai|Enterprise Application Access (EAA) connector| |Not vuln|Not vuln|Not vuln|Not vuln| ||
|Akamai|Siem Integration Connector|<1.7.4|Not vuln|Fix|Fix|Fix|Akamai SIEM Integration Connector is vulnerable to CVE-2021-44228, CVE-2021-45046 and CVE-2021-45105.|[source](https://developer.akamai.com/tools/integrations/siem/siem-cef-connector#release-notes)|
|Akamai|Siem Splunk Connector|=>1.4.10|Not vuln|Not vuln|Not vuln|Not vuln|v1.4.11 is the new recommendation for mitigation of log4j vulnerabilities.|[source](https://splunkbase.splunk.com/app/4310/)|
|Akamai|Siem Splunk Connector|<1.4.10|Not vuln|Workaround| | |Akamai SIEM Integration Connector for Splunk is not vulnerable to CVE-2021-44228. Although it includes the vulnerable Log4J component, it is not used by the connector.|[source](https://splunkbase.splunk.com/app/4310/)|
|Alcatel|All| | | | | | |[Alcatel Link](https://dokuwiki.alu4u.com/doku.php?id=log4j)|
|Alertus|Console|5.15.0|Not vuln|Fix| | | |[source](https://help.alertus.com/s/article/Security-Advisory-Log4Shell-Vulnerability?language=en_US)|
|Alexion|All| | | | | | |[Alexion Blog Post](https://alexion.nl/blog/alexion-crm-niet-vatbaar-voor-log4shell)|
|Alexion Software|Alexion CRM|All|Not vuln|Not vuln|Not vuln|Not vuln| |[source](https://alexion.nl/blog/alexion-crm-niet-vatbaar-voor-log4shell)|
|Alfresco (Hyland)|Alfresco|All| |Not vuln| | | |[Alfresco Blog Post](https://hub.alfresco.com/t5/alfresco-content-services-blog/cve-2021-44228-related-to-apache-log4j-security-advisory/ba-p/310717)|
|AlienVault|All| | | | | | |[AlienVault Article Link](https://success.alienvault.com/s/article/are-USM-Anywhere-or-USM-Central-vulnerable-to-CVE-2021-44228)|
|Alphatron|AMiSconnect| | |Not vuln| | | |[source](https://www.alphatronmedical.com/home.html)|
|Alphatron|Custo diagnostics|5.4 to 5.6| |Vulnerable| | |Potentially vulnerable through the HL7 and DICOM communication interfaces|[source](https://www.alphatronmedical.com/home.html)|
|Alphatron|JiveX| | |Not vuln| | | |[source](https://www.alphatronmedical.com/home.html)|
|Alphatron|Zorgbericht| | |Not vuln| | | |[source](https://www.alphatronmedical.com/home.html)|
|Alphatron Medical|All| | | | | | |[Alphatron Medical Website](https://www.alphatronmedical.com/home.html)|
|Amazon|AMS| |Not vuln|Fix| | |Work in progress, portion of customers may still be vulnerable. Actively monitoring this issue, and are working on addressing it for any AMS services which use Log4j2|[source](https://aws.amazon.com/security/security-bulletins/AWS-2021-006/)|
|Amazon|API Gateway| |Not vuln|Fix| | | |[source](https://aws.amazon.com/security/security-bulletins/AWS-2021-006/)|
|Amazon|Athena| |Not vuln|Fix| | | |[source](https://aws.amazon.com/security/security-bulletins/AWS-2021-006/)|
|Amazon|Athena JDBC driver| |Not vuln|Not vuln|Not vuln|Not vuln|All versions vended to customers were not affected|[source](https://aws.amazon.com/security/security-bulletins/AWS-2021-006/)|
|Amazon|AWS|Linux 1,2|Not vuln|Not vuln|Not vuln|Not vuln|"Notes: Amazon Linux 1 had aws apitools which were Java based but these were deprecated in 2015 <a href=""https://forums.aws.amazon.com/thread.jspa?threadID=323611"" rel=""nofollow"">AWS Forum</a>. AMIs used to inspect and verify (base spin ups) - amzn-ami-hvm-2018.03.0.20200318.1-x86_64-gp2 and amzn2-ami-kernel-5.10-hvm-2.0.20211201.0-x86_64-gp2"||
|Amazon|AWS API Gateway|All|Not vuln|Fix| | | |[Amazon AWS Link](https://aws.amazon.com/security/security-bulletins/AWS-2021-006/)|
|Amazon|AWS AppFlow| |Not vuln|Fix| | | |[source](https://aws.amazon.com/security/security-bulletins/AWS-2021-006/)|
|Amazon|AWS AppSync| |Not vuln|Fix| | |Updated to mitigate the issues identified in CVE-2021-44228 and CVE-2021-45046|[source](https://aws.amazon.com/security/security-bulletins/AWS-2021-006/)|
|Amazon|AWS AWS Certificate Manager| |Not vuln|Fix| | | |[source](https://aws.amazon.com/security/security-bulletins/AWS-2021-006/)|
|Amazon|AWS AWS Certificate Manager Private CA| |Not vuln|Fix| | | |[source](https://aws.amazon.com/security/security-bulletins/AWS-2021-006/)|
|Amazon|AWS AWS Service Catalog| |Not vuln|Fix| | | |[source](https://aws.amazon.com/security/security-bulletins/AWS-2021-006/)|
|Amazon|AWS CloudHSM|3.4.1|Not vuln|Fix| | |CloudHSM JCE SDK 3.4.1 or higher is not vulnerable|[source](https://aws.amazon.com/security/security-bulletins/AWS-2021-006/)|
|Amazon|AWS CodeBuild| |Not vuln|Fix| | |Updated to mitigate the issues identified in CVE-2021-44228 and CVE-2021-45046|[source](https://aws.amazon.com/security/security-bulletins/AWS-2021-006/)|
|Amazon|AWS CodePipeline| |Not vuln|Fix| | |Updated to mitigate the issues identified in CVE-2021-44228 and CVE-2021-45046|[source](https://aws.amazon.com/security/security-bulletins/AWS-2021-006/)|
|Amazon|AWS Connect|All|Not vuln|Fix| | |Vendors recommend evaluating components of the environment outside of the Amazon Connect service boundary, which may require separate/additional customer mitigation|[Vendor Link](https://aws.amazon.com/security/security-bulletins/AWS-2021-006/)|
|Amazon|AWS Directory Service| |Not vuln|Fix| | | |[source](https://aws.amazon.com/security/security-bulletins/AWS-2021-006/)|
|Amazon|AWS DynamoDB| |Not vuln|Fix| | | |[Update for Apache Log4j2 Issue (CVE-2021-44228)](https://aws.amazon.com/security/security-bulletins/AWS-2021-006/)|
|Amazon|AWS EKS, ECS, Fargate| |Not vuln|Fix| | |"To help mitigate the impact of the open-source Apache “Log4j2"" utility (CVE-2021-44228 and CVE-2021-45046) security issues on customers’ containers, Amazon EKS, Amazon ECS, and AWS Fargate are deploying a Linux-based update (hot-patch). This hot-patch will require customer opt-in to use, and disables JNDI lookups from the Log4J2 library in customers’ containers. These updates are available as an Amazon Linux package for Amazon ECS customers, as a DaemonSet for Kubernetes users on AWS, and will be in supported AWS Fargate platform versions"|[Update for Apache Log4j2 Issue (CVE-2021-44228)](https://aws.amazon.com/security/security-bulletins/AWS-2021-006/)|
|Amazon|AWS Elastic Beanstalk| |Not vuln|Not vuln|Not vuln|Not vuln|Default configuration of application's usage of Log4j versions is not vulnerable|[source](https://aws.amazon.com/security/security-bulletins/AWS-2021-006/)|
|Amazon|AWS ElastiCache| |Not vuln|Fix| | | |[Update for Apache Log4j2 Issue (CVE-2021-44228)](https://aws.amazon.com/security/security-bulletins/AWS-2021-006/)|
|Amazon|AWS ELB| |Not vuln|Fix| | | |[Update for Apache Log4j2 Issue (CVE-2021-44228)](https://aws.amazon.com/security/security-bulletins/AWS-2021-006/)|
|Amazon|AWS Fargate| |Not vuln|Not vuln|Not vuln|Not vuln|Opt-in hot-patch to mitigate the Log4j issue in JVM layer will be available as platform versions|[source](https://aws.amazon.com/security/security-bulletins/AWS-2021-006/) [hotpatch](https://aws.amazon.com/blogs/opensource/hotpatch-for-apache-log4j/)|
|Amazon|AWS Glue| |Not vuln|Fix| | |Has been updated. Vulnerable only if ETL jobs load affected versions of Apache Log4j|[source](https://aws.amazon.com/security/security-bulletins/AWS-2021-006/)|
|Amazon|AWS Greengrass| |Not vuln|Fix| | |Updates for all Greengrass V2 components Stream Manager (2.0.14) and Secure Tunneling (1.0.6) are available. For Greengrass versions 1.10.x and 1.11.x, an update for the Stream Manager feature is included in Greengrass patch versions 1.10.5 and 1.11.5|[source](https://aws.amazon.com/security/security-bulletins/AWS-2021-006/)|
|Amazon|AWS Inspector| |Not vuln|Fix| | | |[Update for Apache Log4j2 Issue (CVE-2021-44228)](https://aws.amazon.com/security/security-bulletins/AWS-2021-006/)|
|Amazon|AWS IoT SiteWise Edge| |Not vuln|Fix| | |"Updates for all AWS IoT SiteWise Edge components that use Log4j were made available; OPC-UA collector (v2.0.3), Data processing pack (v2.0.14), and Publisher (v2.0.2)"|[source](https://aws.amazon.com/security/security-bulletins/AWS-2021-006/)|
|Amazon|AWS Kinesis Data Stream| |Not vuln|Fix| | |We are actively patching all sub-systems that use Log4j2 by applying updates. The Kinesis Client Library (KCL) version 2.X and the Kinesis Producer Library (KPL) are not impacted. For customers using KCL 1.x, we have released an updated version and we strongly recommend that all KCL version 1.x customers upgrade to KCL version 1.14.5 (or higher)|[Update for Apache Log4j2 Issue (CVE-2021-44228)](https://aws.amazon.com/security/security-bulletins/AWS-2021-006/)|
|Amazon|AWS KMS| |Not vuln|Fix| | | |[source](https://aws.amazon.com/security/security-bulletins/AWS-2021-006/)|
|Amazon|AWS Lambda| |Not vuln|Fix| | |Vulnerable when using aws-lambda-java-log4j2|[source](https://aws.amazon.com/security/security-bulletins/AWS-2021-006/)|
|Amazon|AWS Polly| |Not vuln|Fix| | | |[source](https://aws.amazon.com/security/security-bulletins/AWS-2021-006/)|
|Amazon|AWS QuickSight| |Not vuln|Fix| | | |[source](https://aws.amazon.com/security/security-bulletins/AWS-2021-006/)|
|Amazon|AWS RDS| |Not vuln|Fix| | |Amazon RDS and Amazon Aurora have been updated to mitigate the issues identified in CVE-2021-44228|[Update for Apache Log4j2 Issue (CVE-2021-44228)](https://aws.amazon.com/security/security-bulletins/AWS-2021-006/)|
|Amazon|AWS S3| |Not vuln|Fix| | | |[Update for Apache Log4j2 Issue (CVE-2021-44228)](https://aws.amazon.com/security/security-bulletins/AWS-2021-006/)|
|Amazon|AWS SDK| |Not vuln|Not vuln|Not vuln|Not vuln| |[source](https://aws.amazon.com/security/security-bulletins/AWS-2021-006/)|
|Amazon|AWS Secrets Manager| |Not vuln|Fix| | | |[source](https://aws.amazon.com/security/security-bulletins/AWS-2021-006/)|
|Amazon|AWS SNS| |Not vuln|Fix| | |Amazon SNS systems that serve customer traffic are patched against the Log4j2 issue. We are working to apply the Log4j2 patch to sub-systems that operate separately from SNS’s systems that serve customer traffic|[Update for Apache Log4j2 Issue (CVE-2021-44228)](https://aws.amazon.com/security/security-bulletins/AWS-2021-006/)|
|Amazon|AWS SQS| |Not vuln|Fix| | | |[Update for Apache Log4j2 Issue (CVE-2021-44228)](https://aws.amazon.com/security/security-bulletins/AWS-2021-006/)|
|Amazon|AWS Systems Manager| |Not vuln|Fix| | | |[source](https://aws.amazon.com/security/security-bulletins/AWS-2021-006/)|
|Amazon|AWS Systems Manager Agent| |Not vuln|Not vuln|Not vuln|Not vuln| |[source](https://aws.amazon.com/security/security-bulletins/AWS-2021-006/)|
|Amazon|AWS Textract| |Not vuln|Fix| | | |[source](https://aws.amazon.com/security/security-bulletins/AWS-2021-006/)|
|Amazon|Chime| |Not vuln|Fix| | |Amazon Chime and Chime SDK services have been updated to mitigate the issues identified in CVE-2021-44228 and CVE-2021-45046|[source](https://aws.amazon.com/security/security-bulletins/AWS-2021-006/)|
|Amazon|Cloud Directory| |Not vuln|Fix| | | |[source](https://aws.amazon.com/security/security-bulletins/AWS-2021-006/)|
|Amazon|CloudFront| |Not vuln|Fix| | | |[source](https://aws.amazon.com/security/security-bulletins/AWS-2021-006/)|
|Amazon|CloudWatch| |Not vuln|Fix| | | |[source](https://aws.amazon.com/security/security-bulletins/AWS-2021-006/)|
|Amazon|Cognito| |Not vuln|Fix| | | |[source](https://aws.amazon.com/security/security-bulletins/AWS-2021-006/)|
|Amazon|Connect| |Not vuln|Fix| | | |[source](https://aws.amazon.com/security/security-bulletins/AWS-2021-006/)|
|Amazon|Corretto| |Not vuln|Not vuln|Not vuln|Not vuln|10/19 release distribution does not include Log4j. Vulnerable only if customer's applications use affected versions of Apache Log4j|[source](https://aws.amazon.com/security/security-bulletins/AWS-2021-006/)|
|Amazon|DocumentDB| |Not vuln|Fix| | | |[source](https://aws.amazon.com/security/security-bulletins/AWS-2021-006/)|
|Amazon|DynamoDB| |Not vuln|Fix| | |DynamoDB and DynamoDB Accelerator have been updated|[source](https://aws.amazon.com/security/security-bulletins/AWS-2021-006/)|
|Amazon|EC2| |Not vuln|Fix| | |Packages for Amazon Linux 1 and 2 not affected, package for Amazon Linux 2022 is|[source](https://aws.amazon.com/security/security-bulletins/AWS-2021-006/) [fix](https://alas.aws.amazon.com/cve/html/CVE-2021-44228.html)|
|Amazon|ECR Public| |Not vuln|Fix| | |Amazon-owned images published under a Verified Account on Amazon ECR Public are not affected by the Log4j issue|[source](https://aws.amazon.com/security/security-bulletins/AWS-2021-006/)|
|Amazon|ECS| |Not vuln|Not vuln|Not vuln|Not vuln|As an Amazon Linux package, opt-in hot-patch to mitigate the Log4j issue in JVM layer is available|[source](https://aws.amazon.com/security/security-bulletins/AWS-2021-006/) [hotpatch](https://aws.amazon.com/blogs/opensource/hotpatch-for-apache-log4j/)|
|Amazon|EKS| |Not vuln|Not vuln|Not vuln|Not vuln|As a DaemonSet, opt-in hot-patch to mitigate the Log4j issue in JVM layer is available|[source](https://aws.amazon.com/security/security-bulletins/AWS-2021-006/) [hotpatch](https://aws.amazon.com/blogs/opensource/hotpatch-for-apache-log4j/)|
|Amazon|Elastic Load Balancing| |Not vuln|Fix| | |Services have been updated. All Elastic Load Balancers, as well as Classic, Application, Network and Gateway, are not affected by this Log4j issue|[source](https://aws.amazon.com/security/security-bulletins/AWS-2021-006/)|
|Amazon|ElastiCache| |Not vuln|Fix| | | |[source](https://aws.amazon.com/security/security-bulletins/AWS-2021-006/)|
|Amazon|EMR| |Not vuln|Fix| | |Many customers are estimated to be vulnerable. Vulnerable only if affected EMR releases are used and untrusted sources are configured to be processed|[source](https://aws.amazon.com/security/security-bulletins/AWS-2021-006/)|
|Amazon|EventBridge| |Not vuln|Fix| | | |[source](https://aws.amazon.com/security/security-bulletins/AWS-2021-006/)|
|Amazon|Fraud Detector| |Not vuln|Fix| | | |[source](https://aws.amazon.com/security/security-bulletins/AWS-2021-006/)|
|Amazon|Inspector| |Not vuln|Fix| | | |[source](https://aws.amazon.com/security/security-bulletins/AWS-2021-006/)|
|Amazon|Inspector Classic| |Not vuln|Fix| | | |[source](https://aws.amazon.com/security/security-bulletins/AWS-2021-006/)|
|Amazon|Kafka (MSK)| |Not vuln|Fix| | |"Applying updates as required, portion of customers may still be vulnerable. Some MSK-specific service components use Log4j &gt; 2.0.0 library and are being patched where needed"|[source](https://aws.amazon.com/security/security-bulletins/AWS-2021-006/)|
|Amazon|Kendra| |Not vuln|Fix| | | |[source](https://aws.amazon.com/security/security-bulletins/AWS-2021-006/)|
|Amazon|Keyspaces (for Apache Cassandra)| |Not vuln|Fix| | | |[source](https://aws.amazon.com/security/security-bulletins/AWS-2021-006/)|
|Amazon|Kinesis| |Not vuln|Fix| | |Update for Kinesis Agent is available|[source](https://aws.amazon.com/security/security-bulletins/AWS-2021-006/)|
|Amazon|Kinesis Data Analytics| |Not vuln|Fix| | |Updates are available. See source for more information|[source](https://aws.amazon.com/security/security-bulletins/AWS-2021-006/)|
|Amazon|Kinesis Data Streams| |Not vuln|Fix| | |KCL 2.x, KCL 1.14.5 or higher, and KPL are not vulnerable|[source](https://aws.amazon.com/security/security-bulletins/AWS-2021-006/)|
|Amazon|Lake Formation| |Not vuln|Fix| | |Update in progress, portion of customers may still be vulnerable. AWS Lake Formation service hosts are being updated to the latest version of Log4j|[source](https://aws.amazon.com/security/security-bulletins/AWS-2021-006/)|
|Amazon|Lex| |Not vuln|Fix| | | |[source](https://aws.amazon.com/security/security-bulletins/AWS-2021-006/)|
|Amazon|Linux 1 (AL1)| |Not vuln|Not vuln|Not vuln|Not vuln|By default not vulnerable. Opt-in hot-patch to mitigate the Log4j in JVM layer issue is available|[source](https://aws.amazon.com/security/security-bulletins/AWS-2021-006/) [hotpatch](https://aws.amazon.com/blogs/opensource/hotpatch-for-apache-log4j/)|
|Amazon|Linux 2 (AL2)| |Not vuln|Fix| | |By default not vulnerable, and a new version of Amazon Kinesis Agent which is part of AL2 addresses the Log4j issue. Opt-in hot-patch to mitigate the Log4j issue in JVM layer is available|[source](https://aws.amazon.com/security/security-bulletins/AWS-2021-006/) [hotpatch](https://aws.amazon.com/blogs/opensource/hotpatch-for-apache-log4j/)|
|Amazon|Lookout for Equipment| |Not vuln|Fix| | | |[source](https://aws.amazon.com/security/security-bulletins/AWS-2021-006/)|
|Amazon|Macie| |Not vuln|Fix| | | |[source](https://aws.amazon.com/security/security-bulletins/AWS-2021-006/)|
|Amazon|Macie Classic| |Not vuln|Fix| | | |[source](https://aws.amazon.com/security/security-bulletins/AWS-2021-006/)|
|Amazon|Managed Workflows for Apache Airflow (MWAA)| |Not vuln|Fix| | | |[source](https://aws.amazon.com/security/security-bulletins/AWS-2021-006/)|
|Amazon|MemoryDB for Redis| |Not vuln|Fix| | | |[source](https://aws.amazon.com/security/security-bulletins/AWS-2021-006/)|
|Amazon|Monitron| |Not vuln|Fix| | | |[source](https://aws.amazon.com/security/security-bulletins/AWS-2021-006/)|
|Amazon|MQ| |Not vuln|Fix| | | |[source](https://aws.amazon.com/security/security-bulletins/AWS-2021-006/)|
|Amazon|Neptune| |Not vuln|Fix| | | |[source](https://aws.amazon.com/security/security-bulletins/AWS-2021-006/)|
|Amazon|NICE| |Not vuln|Fix| | |Recommended to update EnginFrame or Log4j library|[source](https://aws.amazon.com/security/security-bulletins/AWS-2021-006/)|
|Amazon|OpenSearch|R20211203-P2|Not vuln|Fix| | |Update released, customers need to update their clusters to the fixed release|[source](https://aws.amazon.com/security/security-bulletins/AWS-2021-006/)|
|Amazon|Pinpoint| |Not vuln|Fix| | | |[source](https://aws.amazon.com/security/security-bulletins/AWS-2021-006/)|
|Amazon|RDS|Rolling update has completed|Not vuln|Fix| | | |[source](https://aws.amazon.com/security/security-bulletins/AWS-2021-006/)|
|Amazon|RDS Aurora|Rolling update has completed|Not vuln|Fix| | | |[source](https://aws.amazon.com/security/security-bulletins/AWS-2021-006/)|
|Amazon|RDS for Oracle| |Not vuln|Fix| | | |[source](https://aws.amazon.com/security/security-bulletins/AWS-2021-006/)|
|Amazon|Redshift| |Not vuln|Fix| | | |[source](https://aws.amazon.com/security/security-bulletins/AWS-2021-006/)|
|Amazon|Rekognition| |Not vuln|Fix| | | |[source](https://aws.amazon.com/security/security-bulletins/AWS-2021-006/)|
|Amazon|Route53| |Not vuln|Fix| | | |[source](https://aws.amazon.com/security/security-bulletins/AWS-2021-006/)|
|Amazon|S3| |Not vuln|Fix| | | |[source](https://aws.amazon.com/security/security-bulletins/AWS-2021-006/)|
|Amazon|SageMaker| |Not vuln|Fix| | |Completed patching for the Apache Log4j2 issue (CVE-2021-44228). Vulnerable only if customer's applications use affected versions of Apache Log4j|[source](https://aws.amazon.com/security/security-bulletins/AWS-2021-006/)|
|Amazon|Simple Notification Service (SNS)| |Not vuln|Fix| | |Systems that serve customer traffic are patched against the Log4j2 issue. Working to apply the patch to sub-systems that operate separately from SNS’s systems that serve customer traffic.|[source](https://aws.amazon.com/security/security-bulletins/AWS-2021-006/)|
|Amazon|Simple Queue Service (SQS)| |Not vuln|Fix| | | |[source](https://aws.amazon.com/security/security-bulletins/AWS-2021-006/)|
|Amazon|Simple Workflow Service (SWF)| |Not vuln|Fix| | | |[source](https://aws.amazon.com/security/security-bulletins/AWS-2021-006/)|
|Amazon|Single Sign-On| |Not vuln|Fix| | | |[source](https://aws.amazon.com/security/security-bulletins/AWS-2021-006/)|
|Amazon|Step Functions| |Not vuln|Fix| | | |[source](https://aws.amazon.com/security/security-bulletins/AWS-2021-006/)|
|Amazon|Timestream| |Not vuln|Fix| | | |[source](https://aws.amazon.com/security/security-bulletins/AWS-2021-006/)|
|Amazon|Translate| |Not vuln|Not vuln|Not vuln|Not vuln|"Service not identified on <a href=""https://aws.amazon.com/security/security-bulletins/AWS-2021-006/"" rel=""nofollow"">AWS Log4j Security Bulletin</a>"|[Amazon Translate](https://aws.amazon.com/translate/)|
|Amazon|VPC| |Not vuln|Fix| | | |[source](https://aws.amazon.com/security/security-bulletins/AWS-2021-006/)|
|Amazon|WorkSpaces/AppStream 2.0| |Not vuln|Fix| | |"Not affected with default configurations. WorkDocs Sync client versions 1.2.895.1 and older within Windows WorkSpaces, which contain the Log4j component, are vulnerable; For update instruction, see source for more info"|[source](https://aws.amazon.com/security/security-bulletins/AWS-2021-006/)|
|AMD|All| |Not vuln|Not vuln|Not vuln|Not vuln|Currently, no AMD products have been identified as affected.  AMD is continuing its analysis.|[AMD Advisory Link](https://www.amd.com/en/corporate/product-security/bulletin/amd-sb-1034)|
|Anaconda|All|4.10.3|Not vuln|Not vuln|Not vuln|Not vuln| |[source](https://docs.conda.io/projects/conda/en/latest/index.html)|
|AOMEI|All Products| | |Not vuln| | | |[source](https://www.aomeitech.com/forum/index.php?p=/discussion/7651/aomei-and-log4j)|
|Apache|ActiveMQ Artemis|All|Not vuln|Not vuln|Not vuln|Not vuln|"ActiveMQ Artemis does not use Log4j for logging. However, Log4j 1.2.17 is included in the Hawtio-based web console application archive (i.e. <a href=""/cisagov/log4j-affected-db/blob/develop/web/console.war/WEB-INF/lib"">web/console.war/WEB-INF/lib</a>). Although this version of Log4j is not impacted by CVE-2021-44228 future versions of Artemis will be updated so that the Log4j jar is no longer included in the web console application archive. See <a href=""https://issues.apache.org/jira/browse/ARTEMIS-3612"" rel=""nofollow"">ARTEMIS-3612</a> for more information on that task."|[ApacheMQ - Update on CVE-2021-4428](https://activemq.apache.org/news/cve-2021-44228)|
|Apache|Airflow| |Not vuln|Not vuln|Not vuln|Not vuln|Airflow is written in Python|[Apache Airflow](https://github.com/apache/airflow/tree/main/airflow)|
|Apache|Archiva|<2.2.6|Not vuln|Fix| | |Fixed in 2.2.6|[source](https://blogs.apache.org/security/entry/cve-2021-44228) [fix](https://lists.apache.org/thread/bmvhs0jxhf4vxcjxyhozm058pchykcqx)|
|Apache|Camel|All|Not vuln|Not vuln|Not vuln|Not vuln| |[source](https://camel.apache.org/blog/2021/12/log4j2/)|
|Apache|Camel 2| |Not vuln|Not vuln|Not vuln|Not vuln| |[APACHE CAMEL AND CVE-2021-44228 (LOG4J)](https://camel.apache.org/blog/2021/12/log4j2/)|
|Apache|Camel JBang|<=3.1.4| |Vulnerable| | | |[APACHE CAMEL AND CVE-2021-44228 (LOG4J)](https://camel.apache.org/blog/2021/12/log4j2/)|
|Apache|Camel K| |Not vuln|Not vuln|Not vuln|Not vuln| |[APACHE CAMEL AND CVE-2021-44228 (LOG4J)](https://camel.apache.org/blog/2021/12/log4j2/)|
|Apache|Camel Karaf| | |Vulnerable| | |The Karaf team is aware of this and are working on a new Karaf 4.3.4 release with updated log4j.|[APACHE CAMEL AND CVE-2021-44228 (LOG4J)](https://camel.apache.org/blog/2021/12/log4j2/)|
|Apache|Camel Quarkus| |Not vuln|Not vuln|Not vuln|Not vuln| |[APACHE CAMEL AND CVE-2021-44228 (LOG4J)](https://camel.apache.org/blog/2021/12/log4j2/)|
|Apache|CamelKafka Connector| |Not vuln|Not vuln|Not vuln|Not vuln| |[APACHE CAMEL AND CVE-2021-44228 (LOG4J)](https://camel.apache.org/blog/2021/12/log4j2/)|
|Apache|Cassandra|All|Not vuln|Not vuln|Not vuln|Not vuln| |[source](https://lists.apache.org/thread/2rngylxw8bjos6xbo1krp29m9wn2hhdr)|
|Apache|Druid|0.22.1|Not vuln|Fix| | | |[source](https://github.com/apache/druid/pull/12051)|
|Apache|Dubbo|All|Not vuln|Fix| | | |[source](https://github.com/apache/dubbo/issues/9380)|
|Apache|Flink|1.15.0, 1.14.2, 1.13.5, 1.12.7, 1.11.6|Not vuln|Fix| | | |[source](https://flink.apache.org/news/2021/12/16/log4j-patch-releases.html)|
|Apache|Fortress|< 2.0.7|Not vuln|Fix| | |Fixed in 2.0.7|[source](https://blogs.apache.org/security/entry/cve-2021-44228)|
|Apache|Geode|1.14.0|Not vuln|Fix| | |Fixed in 1.12.6, 1.13.5, 1.14.1|[source](https://cwiki.apache.org/confluence/plugins/servlet/mobile?contentId=66849544#ReleaseNotes-1.14.1)|
|Apache|Guacamole|All|Not vuln|Not vuln|Not vuln|Not vuln| |[source](https://guacamole.apache.org/security/)|
|Apache|Hadoop| |Not vuln|Not vuln|Not vuln|Not vuln|"Uses log4j 1.x. Are <a href=""https://issues.apache.org/jira/plugins/servlet/mobile#issue/HADOOP-12956"" rel=""nofollow"">plans to migrate to log4j2</a> but never performed"|[source](https://blogs.apache.org/security/entry/cve-2021-44228)|
|Apache|HBase| | |Vulnerable| | |Fix is committed, but not yet released|[source](https://github.com/apache/hbase/pull/3933)|
|Apache|Hive|4.x|Not vuln|Fix| | |Fix in 4.x|[source](https://issues.apache.org/jira/browse/HIVE-25795)|
|Apache|James|3.6.0| |Vulnerable| | | |[source](https://twitter.com/dlitchfield/status/1469809966785564675)|
|Apache|Jena|< 4.3.1|Not vuln|Fix| | |Fixed in 4.3.1|[source](https://blogs.apache.org/security/entry/cve-2021-44228)|
|Apache|JMeter|Any| |Vulnerable| | |Manual Bypass|[source](https://github.com/apache/jmeter/pull/680#issuecomment-993204248)|
|Apache|JSPWiki|2.11.1|Not vuln|Fix| | | |[source](https://jspwiki-wiki.apache.org/Wiki.jsp?page=Log4J-CVE-2021-44228)|
|Apache|Kafka|All|Workaround|Not vuln|Not vuln|Not vuln|Uses Log4j 1.2.17|[source](https://kafka.apache.org/cve-list)|
|Apache|Karaf| | |Vulnerable| | |"Depends on <a href=""https://github.com/ops4j/org.ops4j.pax.logging/issues/414"">PAX logging</a> which is affected"|[source](https://mail-archives.apache.org/mod_mbox/karaf-dev/202112.mbox/browser)|
|Apache|Log4j|< 2.15.0|Not vuln|Fix| | | |[Log4j – Apache Log4j Security Vulnerabilities](https://logging.apache.org/log4j/2.x/security.html)|
|Apache|Log4j 1.x|All|Workaround|Not vuln|Not vuln|Not vuln| |[source](https://access.redhat.com/security/cve/CVE-2021-4104)|
|Apache|Log4j 2|2.3.1, 2.12.3, 2.17.0|Not vuln|Fix|Fix|Fix| |[source](https://logging.apache.org/log4j/2.x/security.html)|
|Apache|Maven|All| |Not vuln| | | |[source](https://blogs.apache.org/security/entry/cve-2021-44228)|
|Apache|NiFi|All|Not vuln|Fix| | |Fixed in 1.15.1, 1.16.0|[source](https://issues.apache.org/jira/browse/NIFI-9474)|
|Apache|OFBiz|< 18.12.03|Not vuln|Fix| | |Fixed in 18.12.03|[source](https://blogs.apache.org/security/entry/cve-2021-44228)|
|Apache|Ozone|< 1.2.1|Not vuln|Fix| | |Fixed in 1.2.1|[source](https://blogs.apache.org/security/entry/cve-2021-44228)|
|Apache|SkyWalking|< 8.9.1|Not vuln|Fix| | |Fixed in 8.9.1|[source](https://blogs.apache.org/security/entry/cve-2021-44228)|
|Apache|SOLR|7.4.0 to 7.7.3, 8.0.0 to 8.11.0|Not vuln|Fix| | |Fixed in 8.11.1, Versions before 7.4 also vulnerable when using several configurations|[source](https://solr.apache.org/security.html#apache-solr-affected-by-apache-log4j-cve-2021-44228)|
|Apache|Spark|All|Not vuln|Not vuln|Not vuln|Not vuln|Uses log4j 1.x|[source](https://lists.apache.org/thread/wwm13b9764vjms5t8n96j6jklys49cyr)|
|Apache|Struts|2.5.28| |Vulnerable| | | |[source](https://struts.apache.org/announce-2021#a20211212-2)|
|Apache|Struts 2|Versions before 2.5.28.1|Not vuln|Fix| | |The Apache Struts group is pleased to announce that Struts 2.5.28.1 is available as a “General Availability” release. The GA designation is our highest quality grade. This release addresses Log4j vulnerability CVE-2021-45046 by using the latest Log4j 2.12.2 version (Java 1.7 compatible).|[Apache Struts Announcements](https://struts.apache.org/announce-2021)|
|Apache|Tapestry|5.7.3| |Vulnerable| | |Uses Log4j|[source](https://tapestry.apache.org/logging.html)|
|Apache|Tika|2.0.0 and up| |Vulnerable| | | |[source](https://tika.apache.org/2.0.0/index.html)|
|Apache|Tomcat| |Not vuln|Not vuln|Not vuln|Not vuln| |[source](https://tomcat.apache.org/tomcat-9.0-doc/logging.html)|
|Apache|TrafficControl| | |Vulnerable| | | |[source](https://blogs.apache.org/security/entry/cve-2021-44228)|
|Apache|Zookeeper| |Not vuln|Not vuln|Not vuln|Not vuln|Zookeeper uses Log4j 1.2 version|[source](https://issues.apache.org/jira/browse/ZOOKEEPER-4423)|
|Apereo|CAS|6.3.x & 6.4.x|Not vuln|Fix| | |Other versions still in active maintainance might need manual inspection|[source](https://apereo.github.io/2021/12/11/log4j-vuln/)|
|Apereo|Opencast|< 9.10, < 10.6|Not vuln|Fix| | | |[source](https://github.com/opencast/opencast/security/advisories/GHSA-mf4f-j588-5xm8)|
|Apigee|Edge and OPDK products|All version|Not vuln|Not vuln|Not vuln|Not vuln| |[source](https://status.apigee.com/incidents/3cgzb0q2r10p)|
|Apollo|All| | | | | | |[Apollo Community Link](https://community.apollographql.com/t/log4j-vulnerability/2214)|
|Appdynamics|All| | | | | | |[Appdynamics Advisory Link](https://docs.appdynamics.com/display/PAA/Security+Advisory%3A+Apache+Log4j+Vulnerability)|
|Appeon|PowerBuilder|Appeon PowerBuilder 2017-2021 regardless of product edition| |Vulnerable| | | ||
|AppGate|All| | | | | | |[AppGate Blog Post](https://www.appgate.com/blog/appgate-sdp-unaffected-by-log4j-vulnerability)|
|Appian|All| |Not vuln|Fix| | | |[source](https://community.appian.com/support/w/kb/2511/kb-2204-information-about-the-log4j2-security-vulnerability-cve-2021-44228)|
|Appian|Platform|All|Not vuln|Fix| | | |"[KB-2204 Information about the Log4j2 security vulnerabilities (CVE-2021-44228 &amp; CVE-2021-45046)](https://community.appian.com/support/w/kb/2511/kb-2204-information-about-the-log4j2-security-vulnerabilities-cve-2021-44228-cve-2021-45046)"|
|Application Performance Ltd|DBMarlin|Not Affected| | | | | ||
|Application Performance Ltd|DBMarlin| |Not vuln|Not vuln|Not vuln|Not vuln| |[Common Vulnerabilities Apache log4j Vulnerability CVE-2021-4428](https://docs.dbmarlin.com/docs/faqs/frequently-asked-questions/?_ga=2.72968147.1563671049.1639624574-1296952804.1639624574#apache-log4j-vulnerability-cve-2021-4428)|
|APPSHEET|All| | | | | | |[APPSHEET Community Link](https://community.appsheet.com/t/appsheet-statement-on-log4j-vulnerability-cve-2021-44228/59976)|
|Aptible|All|Search 5.x|Not vuln|Fix| | | |[source](https://status.aptible.com/incidents/gk1rh440h36s?u=zfbcrbt2lkv4)|
|Aqua Security|All| | | | | | |[Aqua Security Google Doc](https://docs.google.com/document/d/e/2PACX-1vSmFR3oHPXOih1wENKd7RXn0dsHzgPUe91jJwDTsaVxJtcJEroktWNLq7BMUx9v7oDZRHqLVgkJnqCm/pub)|
|Arbiter Systems|All| |Not vuln|Not vuln|Not vuln|Not vuln| |[Arbiter Systems Advisory Link](https://www.arbiter.com/news/index.php?id=4403)|
|Arca Noae|All| | | | | | |[Arca Noae Link](https://www.arcanoae.com/apache-log4j-vulnerability-cve-2021-44228/)|
|Arcserve|Backup|All|Not vuln|Not vuln|Not vuln|Not vuln| |[source](https://support.storagecraft.com/s/article/Log4J-Update)|
|Arcserve|Continuous Availability|All|Not vuln|Not vuln|Not vuln|Not vuln| |[source](https://support.storagecraft.com/s/article/Log4J-Update)|
|Arcserve|Email Archiving|All|Not vuln|Not vuln|Not vuln|Not vuln| |[source](https://support.storagecraft.com/s/article/Log4J-Update)|
|Arcserve|ShadowProtect|All|Not vuln|Not vuln|Not vuln|Not vuln| |[source](https://support.storagecraft.com/s/article/Log4J-Update)|
|Arcserve|ShadowXafe|All|Not vuln|Not vuln|Not vuln|Not vuln| |[source](https://support.storagecraft.com/s/article/Log4J-Update)|
|Arcserve|Solo|All|Not vuln|Not vuln|Not vuln|Not vuln| |[source](https://support.storagecraft.com/s/article/Log4J-Update)|
|Arcserve|StorageCraft OneXafe|All|Not vuln|Not vuln|Not vuln|Not vuln| |[source](https://support.storagecraft.com/s/article/Log4J-Update)|
|Arcserve|UDP|6.5-8.3|Not vuln|Not vuln|Not vuln|Not vuln| |[source](https://support.storagecraft.com/s/article/Log4J-Update)|
|ArcticWolf|All| | | | | | |[ArcticWolf Blog Post](https://arcticwolf.com/resources/blog/log4j)|
|Arduino|IDE|1.8.17|Not vuln|Fix| | | |[source](https://support.arduino.cc/hc/en-us/articles/4412377144338-Arduino-s-response-to-Log4j2-vulnerability-CVE-2021-44228)|
|Ariba|All| | | | | | |"[Ariba Annoucement](https://connectsupport.ariba.com/sites#announcements-display&amp;/Event/908469)"|
|Arista|All| | | | | | |[Arista Advisory Notice](https://www.arista.com/en/support/advisories-notices/security-advisories/13425-security-advisory-0070)|
|Arista Networks|Analytics Node for Converged Cloud Fabric (formerly Big Cloud Fabric)|>7.0.0| |Vulnerable| | | |[source](https://www.arista.com/en/support/advisories-notices/security-advisories/13425-security-advisory-0070)|
|Arista Networks|Analytics Node for DANZ Monitoring Fabric (formerly Big Monitoring Fabric)|>7.0.0| |Vulnerable| | | |[source](https://www.arista.com/en/support/advisories-notices/security-advisories/13425-security-advisory-0070)|
|Arista Networks|CloudVision Portal|>2019.1.0| |Vulnerable| | | |[source](https://www.arista.com/en/support/advisories-notices/security-advisories/13425-security-advisory-0070)|
|Arista Networks|CloudVision Wi-Fi, virtual appliance or physical appliance|>8.8| |Vulnerable| | | |[source](https://www.arista.com/en/support/advisories-notices/security-advisories/13425-security-advisory-0070)|
|Arista Networks|Embedded Analytics for Converged Cloud Fabric (formerly Big Cloud Fabric)|>5.3.0| |Vulnerable| | | |[source](https://www.arista.com/en/support/advisories-notices/security-advisories/13425-security-advisory-0070)|
|Aruba Networks|IntroSpect| versions 2.5.0.0 to 2.5.0.6| |Fix| | | |[advbisory](https://www.arubanetworks.com/assets/alert/ARUBA-PSA-2021-019.txt)|
|Aruba Networks|AirWave Management Platform| |Not vuln |Not vuln|Not vuln |Not vuln | |[advbisory](https://www.arubanetworks.com/assets/alert/ARUBA-PSA-2021-019.txt)|
|Aruba Networks|Analytics and Location Engine| |Not vuln |Not vuln|Not vuln |Not vuln | |[advbisory](https://www.arubanetworks.com/assets/alert/ARUBA-PSA-2021-019.txt)|
|Aruba Networks|ArubaOS Wi-Fi Controllers and Gateways| |Not vuln |Not vuln|Not vuln |Not vuln | |[advbisory](https://www.arubanetworks.com/assets/alert/ARUBA-PSA-2021-019.txt)|
|Aruba Networks|ArubaOS SD-WAN Gateways| |Not vuln |Not vuln|Not vuln |Not vuln | |[advbisory](https://www.arubanetworks.com/assets/alert/ARUBA-PSA-2021-019.txt)|
|Aruba Networks|ArubasOS-CX Switches| |Not vuln |Not vuln|Not vuln |Not vuln | |[advbisory](https://www.arubanetworks.com/assets/alert/ARUBA-PSA-2021-019.txt)|
|Aruba Networks|ArubasOS-S Switches| |Not vuln |Not vuln|Not vuln |Not vuln | |[advbisory](https://www.arubanetworks.com/assets/alert/ARUBA-PSA-2021-019.txt)|
|Aruba Networks|Central / Central On-Premises| |Not vuln |Not vuln|Not vuln |Not vuln | |[advbisory](https://www.arubanetworks.com/assets/alert/ARUBA-PSA-2021-019.txt)|
|Aruba Networks|ClearPass Policy Manager| |Not vuln |Not vuln|Not vuln |Not vuln | |[advbisory](https://www.arubanetworks.com/assets/alert/ARUBA-PSA-2021-019.txt)|
|Aruba Networks|EdgeConnect| |Not vuln |Not vuln|Not vuln |Not vuln | |[advbisory](https://www.arubanetworks.com/assets/alert/ARUBA-PSA-2021-019.txt)|
|Aruba Networks|Fabric Composer (AFC) and Plexxi Composable Fabrice Manager (CFM)| |Not vuln |Not vuln|Not vuln |Not vuln | |[advbisory](https://www.arubanetworks.com/assets/alert/ARUBA-PSA-2021-019.txt)|
|Aruba Networks|HP ProCurve Switches| |Not vuln |Not vuln|Not vuln |Not vuln | |[advbisory](https://www.arubanetworks.com/assets/alert/ARUBA-PSA-2021-019.txt)|
|Aruba Networks|Instant / Instant Access Points| |Not vuln |Not vuln|Not vuln |Not vuln | |[advbisory](https://www.arubanetworks.com/assets/alert/ARUBA-PSA-2021-019.txt)|
|Aruba Networks|Instant On| |Not vuln |Not vuln|Not vuln |Not vuln | |[advbisory](https://www.arubanetworks.com/assets/alert/ARUBA-PSA-2021-019.txt)|
|Aruba Networks|Legacy GMS products|All|Fix |Fix |Fix | | |[advbisory](https://www.arubanetworks.com/website/techdocs/sdwan/docs/advisories/media/security_advisory_notice_apache_log4j2_cve_2021_44228.pdf)|
|Aruba Networks|Legacy NX, VX, VRX| |Not vuln |Not vuln|Not vuln |Not vuln | |[advbisory](https://www.arubanetworks.com/assets/alert/ARUBA-PSA-2021-019.txt)|
|Aruba Networks|NetEdit| |Not vuln |Not vuln|Not vuln |Not vuln | |[advbisory](https://www.arubanetworks.com/assets/alert/ARUBA-PSA-2021-019.txt)|
|Aruba Networks|Silver Peak Orchestrator|All|Fix |Fix |Fix | | |[advbisory](https://www.arubanetworks.com/website/techdocs/sdwan/docs/advisories/media/security_advisory_notice_apache_log4j2_cve_2021_44228.pdf)|
|Aruba Networks|User Experience Insight (UXI)| |Not vuln |Not vuln|Not vuln |Not vuln | |[advbisory](https://www.arubanetworks.com/assets/alert/ARUBA-PSA-2021-019.txt)|
|Aruba Networks|VIA Clients| |Not vuln |Not vuln|Not vuln |Not vuln | |[advbisory](https://www.arubanetworks.com/assets/alert/ARUBA-PSA-2021-019.txt)|
|Ataccama|All| | | | | | |[Ataccama Link](https://www.ataccama.com/files/log4j2-vulnerability-cve-2021-44228-fix.pdf)|
|Atera|All| | | | | | |[Atera Link](https://www.reddit.com/r/atera/comments/rh7xb1/apache_log4j_2_security_advisory_update/)|
|Atlassian|Bamboo Server & Data Center|On prem| |Vulnerable| | |Only vulnerable when using non-default config, cloud version fixed|[source](https://confluence.atlassian.com/kb/faq-for-cve-2021-44228-1103069406.html)|
|Atlassian|BitBucket Server|On prem|Not vuln|Workaround| | | |[source](https://community.atlassian.com/t5/Bamboo-questions/Re-log4j-zero-day/qaq-p/1886739/comment-id/30819#M30819)|
|Atlassian|Bitbucket Server & Data Center|All|Not vuln|Fix| | |This product is not vulnerable to remote code execution but may leak information due to the bundled Elasticsearch component being vulnerable.|[Multiple Products Security Advisory - Log4j Vulnerable To Remote Code Execution - CVE-2021-44228](https://confluence.atlassian.com/security/multiple-products-security-advisory-log4j-vulnerable-to-remote-code-execution-cve-2021-44228-1103069934.html)|
|Atlassian|Confluence Server & Data Center|On prem| |Vulnerable| | |Only vulnerable when using non-default config, cloud version fixed|[source](https://confluence.atlassian.com/kb/faq-for-cve-2021-44228-1103069406.html)|
|Atlassian|Confluence-CIS CSAT Pro|v1.7.1| |Vulnerable| | | |[source](https://cisecurity.atlassian.net/wiki/spaces/SCFKB/pages/2434301961/CIS+Products+and+Log4j+Vulnerability)|
|Atlassian|Confluence-CIS WorkBench| | |Not vuln| | | |[source](https://cisecurity.atlassian.net/wiki/spaces/SCFKB/pages/2434301961/CIS+Products+and+Log4j+Vulnerability)|
|Atlassian|Confluence-CIS-CAT Lite|v4.13.0| |Vulnerable| | | |[source](https://cisecurity.atlassian.net/wiki/spaces/SCFKB/pages/2434301961/CIS+Products+and+Log4j+Vulnerability)|
|Atlassian|Confluence-CIS-CAT Pro Assessor v3 Full and Dissolvable|v3.0.77| |Vulnerable| | | |[source](https://cisecurity.atlassian.net/wiki/spaces/SCFKB/pages/2434301961/CIS+Products+and+Log4j+Vulnerability)|
|Atlassian|Confluence-CIS-CAT Pro Assessor v4|v4.13.0| |Vulnerable| | | |[source](https://cisecurity.atlassian.net/wiki/spaces/SCFKB/pages/2434301961/CIS+Products+and+Log4j+Vulnerability)|
|Atlassian|Confluence-CIS-CAT Pro Assessor v4 Service|v1.13.0| |Vulnerable| | | |[source](https://cisecurity.atlassian.net/wiki/spaces/SCFKB/pages/2434301961/CIS+Products+and+Log4j+Vulnerability)|
|Atlassian|Confluence-CIS-CAT Pro Dashboard| | |Not vuln| | | |[source](https://cisecurity.atlassian.net/wiki/spaces/SCFKB/pages/2434301961/CIS+Products+and+Log4j+Vulnerability)|
|Atlassian|Confluence-CIS-Hosted CSAT| | |Not vuln| | | |[source](https://cisecurity.atlassian.net/wiki/spaces/SCFKB/pages/2434301961/CIS+Products+and+Log4j+Vulnerability)|
|Atlassian|Crowd Server & Data Center|On prem| |Vulnerable| | |Only vulnerable when using non-default config, cloud version fixed|[source](https://confluence.atlassian.com/kb/faq-for-cve-2021-44228-1103069406.html)|
|Atlassian|Crucible|On prem| |Vulnerable| | |Only vulnerable when using non-default config, cloud version fixed|[source](https://confluence.atlassian.com/kb/faq-for-cve-2021-44228-1103069406.html)|
|Atlassian|Fisheye|On prem| |Vulnerable| | |Only vulnerable when using non-default config, cloud version fixed|[source](https://confluence.atlassian.com/kb/faq-for-cve-2021-44228-1103069406.html)|
|Atlassian|Jira Server & Data Center|On prem| |Vulnerable| | |Only vulnerable when using non-default config, cloud version fixed|[source](https://confluence.atlassian.com/kb/faq-for-cve-2021-44228-1103069406.html)|
|Attivo networks|All| | | | | | |[Attivo Networks Advisory](https://www.attivonetworks.com/wp-content/uploads/2021/12/Log4j_Vulnerability-Advisory-211213-4.pdf)|
|AudioCodes|All| | | | | | |[AudioCodes Link](https://services.audiocodes.com/app/answers/kbdetail/a_id/2225)|
|Autodesk|All| | |Investigation| | | |[source](https://www.autodesk.com/trust/overview)|
|Automation Anywhere|Automation 360 Cloud| |Not vuln|Fix| | | |[source](https://apeople.automationanywhere.com/s/article/A360-Cloud-Zero-day-in-the-Log4j-Java-library)|
|Automation Anywhere|Automation 360 On Premise| |Not vuln|Workaround| | | |[source](https://apeople.automationanywhere.com/s/article/A360-On-Premise-Update-regarding-CVE-2021-44228-related-to-0-day-in-the-Apache-Log4j2-Java-library)|
|Automation Anywhere|Automation Anywhere|11.3.x|Not vuln|Not vuln|Not vuln|Not vuln| |[source](https://apeople.automationanywhere.com/s/article/AA-11-x-Update-regarding-CVE-2021-44228-related-to-0-day-in-the-Apache-Log4j2-Java-library)|
|Automation Anywhere|Automation Anywhere|11.x, <11.3.x|Not vuln|Workaround|Workaround|Workaround| |[source](https://apeople.automationanywhere.com/s/article/AA-11-x-Update-regarding-CVE-2021-44228-related-to-0-day-in-the-Apache-Log4j2-Java-library)|
|Automox|All| | | | | | |[Automox Blog Post](https://blog.automox.com/log4j-critical-vulnerability-scores-a-10)|
|Autopsy|All| | | | | | |[Autopsy Link](https://www.autopsy.com/autopsy-and-log4j-vulnerability/)|
|Auvik|All| | | | | | |[Auvik Status Link](https://status.auvik.com/incidents/58bfngkz69mj)|
|Avantra SYSLINK|All| | | | | | |[Avantra SYSLINK Article](https://support.avantra.com/support/solutions/articles/44002291388-cve-2021-44228-log4j-2-vulnerability)|
|Avaya|All| | | | | | |[source](https://support.avaya.com/helpleft/getGenericDetails?detailId=1399839287609)|
|Avaya|Analytics|3.5, 3.6, 3.6.1, 3.7, 4| |Vulnerable| | | |[Apache Log4J Vulnerability - Impact for Avaya products Avaya Product Security](https://support.avaya.com/helpleft/getGenericDetails?detailId=1399839287609)|
|Avaya|Aura for OneCloud Private| | |Vulnerable| | |Avaya is scanning and monitoring its OneCloud Private environments as part of its management activities.  Avaya will continue to monitor this fluid situation and remediations will be made as patches become available, in accordance with appropriate change processes.|[Apache Log4J Vulnerability - Impact for Avaya products Avaya Product Security](https://support.avaya.com/helpleft/getGenericDetails?detailId=1399839287609)|
|Avaya|Aura® Application Enablement Services|8.1.3.2, 8.1.3.3, 10.1| |Vulnerable| | | |[Apache Log4J Vulnerability - Impact for Avaya products Avaya Product Security](https://support.avaya.com/helpleft/getGenericDetails?detailId=1399839287609)|
|Avaya|Aura® Contact Center|7.0.2, 7.0.3, 7.1, 7.1.1, 7.1.2| |Vulnerable| | | |[Apache Log4J Vulnerability - Impact for Avaya products Avaya Product Security](https://support.avaya.com/helpleft/getGenericDetails?detailId=1399839287609)|
|Avaya|Aura® Device Services|8.0.1, 8.0.2, 8.1.3| |Vulnerable| | | |[Apache Log4J Vulnerability - Impact for Avaya products Avaya Product Security](https://support.avaya.com/helpleft/getGenericDetails?detailId=1399839287609)|
|Avaya|Aura® Device Services|8, 8.1, 8.1.4, 8.1.5| |Vulnerable| | | |[Apache Log4J Vulnerability - Impact for Avaya products Avaya Product Security](https://support.avaya.com/helpleft/getGenericDetails?detailId=1399839287609)|
|Avaya|Aura® Media Server|8.0.0, 8.0.1, 8.0.2| |Vulnerable| | | |[Apache Log4J Vulnerability - Impact for Avaya products Avaya Product Security](https://support.avaya.com/helpleft/getGenericDetails?detailId=1399839287609)|
|Avaya|Aura® Presence Services|10.1, 7.1.2, 8, 8.0.1, 8.0.2, 8.1, 8.1.1, 8.1.2, 8.1.3, 8.1.4| |Vulnerable| | | |[Apache Log4J Vulnerability - Impact for Avaya products Avaya Product Security](https://support.avaya.com/helpleft/getGenericDetails?detailId=1399839287609)|
|Avaya|Aura® Session Manager|10.1, 7.1.3, 8, 8.0.1, 8.1, 8.1.1, 8.1.2, 8.1.3| |Vulnerable| | | |[Apache Log4J Vulnerability - Impact for Avaya products Avaya Product Security](https://support.avaya.com/helpleft/getGenericDetails?detailId=1399839287609)|
|Avaya|Aura® System Manager|10.1, 8.1.3| |Vulnerable| | | |[Apache Log4J Vulnerability - Impact for Avaya products Avaya Product Security](https://support.avaya.com/helpleft/getGenericDetails?detailId=1399839287609)|
|Avaya|Aura® Web Gateway|3.11[P], 3.8.1[P], 3.8[P], 3.9.1 [P], 3.9[P]| |Vulnerable| | | |[Apache Log4J Vulnerability - Impact for Avaya products Avaya Product Security](https://support.avaya.com/helpleft/getGenericDetails?detailId=1399839287609)|
|Avaya|Breeze™|3.7, 3.8, 3.8.1| |Vulnerable| | | |[Apache Log4J Vulnerability - Impact for Avaya products Avaya Product Security](https://support.avaya.com/helpleft/getGenericDetails?detailId=1399839287609)|
|Avaya|Business Rules Engine|3.4, 3.5, 3.6, 3.7| |Vulnerable| | | |[Apache Log4J Vulnerability - Impact for Avaya products Avaya Product Security](https://support.avaya.com/helpleft/getGenericDetails?detailId=1399839287609)|
|Avaya|Callback Assist|5, 5.0.1| |Vulnerable| | | |[Apache Log4J Vulnerability - Impact for Avaya products Avaya Product Security](https://support.avaya.com/helpleft/getGenericDetails?detailId=1399839287609)|
|Avaya|Contact Center Select|7.0.2, 7.0.3, 7.1, 7.1.1, 7.1.2| |Vulnerable| | | |[Apache Log4J Vulnerability - Impact for Avaya products Avaya Product Security](https://support.avaya.com/helpleft/getGenericDetails?detailId=1399839287609)|
|Avaya|Control Manager|9.0.2, 9.0.2.1| |Vulnerable| | | |[Apache Log4J Vulnerability - Impact for Avaya products Avaya Product Security](https://support.avaya.com/helpleft/getGenericDetails?detailId=1399839287609)|
|Avaya|CRM Connector - Connected Desktop|2.2| |Vulnerable| | | |[Apache Log4J Vulnerability - Impact for Avaya products Avaya Product Security](https://support.avaya.com/helpleft/getGenericDetails?detailId=1399839287609)|
|Avaya|Device Enablement Service|3.1.22| |Vulnerable| | | |[Apache Log4J Vulnerability - Impact for Avaya products Avaya Product Security](https://support.avaya.com/helpleft/getGenericDetails?detailId=1399839287609)|
|Avaya|Device Enrollment Service|3.1| |Vulnerable| | | |[Apache Log4J Vulnerability - Impact for Avaya products Avaya Product Security](https://support.avaya.com/helpleft/getGenericDetails?detailId=1399839287609)|
|Avaya|Equinox™ Conferencing|9.1.2| |Vulnerable| | | |[Apache Log4J Vulnerability - Impact for Avaya products Avaya Product Security](https://support.avaya.com/helpleft/getGenericDetails?detailId=1399839287609)|
|Avaya|Interaction Center|7.3.9| |Vulnerable| | | |[Apache Log4J Vulnerability - Impact for Avaya products Avaya Product Security](https://support.avaya.com/helpleft/getGenericDetails?detailId=1399839287609)|
|Avaya|IP Office™ Platform|11.0.4, 11.1, 11.1.1, 11.1.2| |Vulnerable| | | |[Apache Log4J Vulnerability - Impact for Avaya products Avaya Product Security](https://support.avaya.com/helpleft/getGenericDetails?detailId=1399839287609)|
|Avaya|Meetings|9.1.10, 9.1.11, 9.1.12| |Vulnerable| | | |[Apache Log4J Vulnerability - Impact for Avaya products Avaya Product Security](https://support.avaya.com/helpleft/getGenericDetails?detailId=1399839287609)|
|Avaya|one cloud private -UCaaS - Mid Market Aura|1| |Vulnerable| | | |[Apache Log4J Vulnerability - Impact for Avaya products Avaya Product Security](https://support.avaya.com/helpleft/getGenericDetails?detailId=1399839287609)|
|Avaya|OneCloud-Private|2| |Vulnerable| | | |[Apache Log4J Vulnerability - Impact for Avaya products Avaya Product Security](https://support.avaya.com/helpleft/getGenericDetails?detailId=1399839287609)|
|Avaya|Proactive Outreach Manager|3.1.2, 3.1.3, 4, 4.0.1| |Vulnerable| | | |[Apache Log4J Vulnerability - Impact for Avaya products Avaya Product Security](https://support.avaya.com/helpleft/getGenericDetails?detailId=1399839287609)|
|Avaya|Session Border Controller for Enterprise|8.0.1, 8.1, 8.1.1, 8.1.2, 8.1.3|Not vuln|Fix| | | |[Apache Log4J Vulnerability - Impact for Avaya products Avaya Product Security](https://support.avaya.com/helpleft/getGenericDetails?detailId=1399839287609)|
|Avaya|Social Media Hub| | |Vulnerable| | | |[Apache Log4J Vulnerability - Impact for Avaya products Avaya Product Security](https://support.avaya.com/helpleft/getGenericDetails?detailId=1399839287609)|
|Avaya|Workforce Engagement|5.3| |Vulnerable| | | |[Apache Log4J Vulnerability - Impact for Avaya products Avaya Product Security](https://support.avaya.com/helpleft/getGenericDetails?detailId=1399839287609)|
|AVEPOINT|All| | | | | | |[AVEPOINT Notification](https://www.avepoint.com/company/java-zero-day-vulnerability-notification)|
|AVM|All|devices, firmware, software incl. MyFritz Service| |Not vuln| | | |[source](https://en.avm.de/service/current-security-notifications/)|
|AvTech RoomAlert|All| | | | | | |[AvTech RoomAlert Article](https://avtech.com/articles/23124/java-exploit-room-alert-link/)|
|AWS New|All| | | | | | |[AWS New Security Bulletin](https://aws.amazon.com/security/security-bulletins/AWS-2021-006/)|
|AXIS|OS|All| |Not vuln| | | |[source](https://help.axis.com/axis-os)|
|AXON|All| | | | | | |[AXON Link](https://my.axon.com/s/trust/response-to-log4j2-vuln?language=en_US)|
|AXS Guard|All| | | | | | |[AXS Guard Blog Post](https://www.axsguard.com/en_US/blog/security-news-4/log4j-vulnerability-77)|
|Axways Applications|All| | | | | | |[Axways Applications Link](https://support.axway.com/news/1331/lang/en)|
