# List of software (un)affected by the log4shell CVEs
[About this list](README.md)

[0-9](software_list_0-9.md) [A](software_list_a.md) [B](software_list_b.md) [C](software_list_c.md) [D](software_list_d.md) [E](software_list_e.md) [F](software_list_f.md) [G](software_list_g.md) [H](software_list_h.md) [I](software_list_i.md) [J](software_list_j.md) [K](software_list_k.md) [L](software_list_l.md) [M](software_list_m.md) [N](software_list_n.md) [O](software_list_o.md) [P](software_list_p.md) [Q](software_list_q.md) [R](software_list_r.md) [S](software_list_s.md) [T](software_list_t.md) [U](software_list_u.md) [V](software_list_v.md) [W](software_list_w.md) [X](software_list_x.md) [Y](software_list_y.md) [Z](software_list_z.md)

### T

| Supplier | Product | Version (see Status) | Status CVE-2021-4104 | Status CVE-2021-44228 | Status CVE-2021-45046 | Status CVE-2021-45105 | Notes | Links |
|:---------|:--------|:--------------------:|:--------------------:|:---------------------:|:---------------------:|:---------------------:|:------|------:|
|Tableau|Bridge|20214.21.1214.2057|Not vuln|Fix| | | |[source](https://kb.tableau.com/articles/issue/Apache-Log4j2-vulnerability-Log4shell) [fix](https://www.tableau.com/products/reader)|
|Tableau|Desktop|2021.4| |Vulnerable| | | |[source](https://www.tableau.com/support/releases/desktop/2021.4)|
|Tableau|Desktop|2021.4.1|Not vuln|Fix| | | |[source](https://kb.tableau.com/articles/issue/Apache-Log4j2-vulnerability-Log4shell) [fix](https://www.tableau.com/products/reader)|
|Tableau|Prep|2021.4.2|Not vuln|Fix| | | |[source](https://kb.tableau.com/articles/issue/Apache-Log4j2-vulnerability-Log4shell) [fix](https://www.tableau.com/products/reader)|
|Tableau|Prep Builder|The following versions and lower: 22021.4.1, 2021.3.2, 2021.2.2, 2021.1.4, 2020.4.1, 2020.3.3, 2020.2.3, 2020.1.5, 2019.4.2, 2019.3.2, 2019.2.3, 2019.1.4, 2018.3.3|Not vuln|Fix| | | |[Apache Log4j2 vulnerability (Log4shell)](https://kb.tableau.com/articles/issue/Apache-Log4j2-vulnerability-Log4shell)|
|Tableau|Public Desktop Client|The following versions and lower: 2021.4|Not vuln|Fix| | | |[Apache Log4j2 vulnerability (Log4shell)](https://kb.tableau.com/articles/issue/Apache-Log4j2-vulnerability-Log4shell)|
|Tableau|Reader|unkown|Not vuln|Fix| | | |[source](https://kb.tableau.com/articles/issue/Apache-Log4j2-vulnerability-Log4shell) [fix](https://www.tableau.com/products/reader)|
|Tableau|Server|2021.2.5| |Vulnerable| | | |[source](https://www.tableau.com/support/releases/server/2021.2.5)|
|Tableau|Server|2021.4.1|Not vuln|Fix| | | |[source](https://kb.tableau.com/articles/issue/Apache-Log4j2-vulnerability-Log4shell) [fix](https://www.tableau.com/products/reader)|
|Tailscale|All|All|Not vuln|Not vuln|Not vuln|Not vuln| |[source](https://github.com/tailscale/tailscale/issues/3550)|
|Talend|Component Kit| |Not vuln|Fix| | | |[source](https://jira.talendforge.org/browse/TCOMP-2054)|
|Tanium|All|All|Not vuln|Not vuln|Not vuln|Not vuln| |[source](https://community.tanium.com/s/article/How-Tanium-Can-Help-with-CVE-2021-44228-Log4Shell#_Toc90296319)|
|TARGIT|All|All|Not vuln|Not vuln|Not vuln|Not vuln| |[source](/NCSC-NL/log4shell/blob/main/software/vendor-statements/Targit.png)|
|Tealium|All| |Not vuln|Fix| | | |[source](https://community.tealiumiq.com/t5/Announcements-Blog/Update-on-Log4j-Security-Vulnerability/ba-p/36824)|
|TealiumIQ|All| | | | | | |[TealiumIQ Security Update](https://community.tealiumiq.com/t5/Announcements-Blog/Update-on-Log4j-Security-Vulnerability/ba-p/36824)|
|TeamPasswordManager|All| | | | | | |[TeamPasswordManager Blog](https://teampasswordmanager.com/blog/log4j-vulnerability/)|
|Teamviewer|All| |Not vuln|Fix| | |Server-side hotfix deployed. No user interaction required|[source](https://www.teamviewer.com/en-us/trust-left/security-bulletins/hotfix-log4j2-issue/)|
|Tech Software|OneAegis (f/k/a IRBManager)|All|Not vuln|Not vuln|Not vuln|Not vuln|OneAegis does not use Log4j.|[Log4j CVE-2021-44228 Vulnerability Impact Statement](https://support.techsoftware.com/hc/en-us/articles/4412825948179)|
|Tech Software|SMART|All|Not vuln|Not vuln|Not vuln|Not vuln|SMART does not use Log4j.|[Log4j CVE-2021-44228 Vulnerability Impact Statement](https://support.techsoftware.com/hc/en-us/articles/4412825948179)|
|Tech Software|Study Binders|All|Not vuln|Not vuln|Not vuln|Not vuln|Study Binders does not use Log4j.|[Log4j CVE-2021-44228 Vulnerability Impact Statement](https://support.techsoftware.com/hc/en-us/articles/4412825948179)|
|TechSmith|All| | | | | | |[TechSmith Article](https://support.techsmith.com/hc/en-us/articles/4416620527885?input_string=log4j)|
|TECLIB|GLPI|All|Not vuln|Not vuln|Not vuln|Not vuln| |[source](https://glpi-project.org/glpi-is-not-affected-by-the-log4j-vulnerability-cve-2021-44228/)|
|TECLIB|GLPI Agent|All|Not vuln|Not vuln|Not vuln|Not vuln| |[source](https://glpi-project.org/glpi-is-not-affected-by-the-log4j-vulnerability-cve-2021-44228/)|
|TECLIB|GLPI Android Agent|All|Not vuln|Not vuln|Not vuln|Not vuln| |[source](https://glpi-project.org/glpi-is-not-affected-by-the-log4j-vulnerability-cve-2021-44228/)|
|Telestream|All| | | | | | |[Telestream Bulletin](http://www.telestream.net/telestream-support/Apache-Log4j2-Bulletin.htm)|
|Tenable|All| |Not vuln|Not vuln|Not vuln|Not vuln| |[source](https://community.tenable.com/s/article/Log4Shell-FAQs)|
|Tesorion|Immunity-appliances and software|All|Not vuln|Not vuln|Not vuln|Not vuln| |[source](https://www.tesorion.nl/en/posts/tesorion-products-not-vulnerable-to-log4j/)|
|Tesorion|SOC-appliances and software|All|Not vuln|Fix| | |Potential Log4j impact mitigated|[source](https://www.tesorion.nl/en/posts/tesorion-products-not-vulnerable-to-log4j/)|
|Thales|CADP/SafeNet Protect App (PA) - JCE| | |Vulnerable| | | |"[Thales Support](https://supportportal.thalesgroup.com/csm?id=kb_article_view&amp;sys_kb_id=12acaed3dbd841105d310573f3961953&amp;sysparm_article=KB0025297)"|
|Thales|CipherTrust Application Data Protection (CADP) – CAPI.net & Net Core| |Not vuln|Not vuln|Not vuln|Not vuln| |"[Thales Support](https://supportportal.thalesgroup.com/csm?id=kb_article_view&amp;sys_kb_id=12acaed3dbd841105d310573f3961953&amp;sysparm_article=KB0025297)"|
|Thales|CipherTrust Batch Data Transformation (BDT) 2.3| | |Vulnerable| | | |"[Thales Support](https://supportportal.thalesgroup.com/csm?id=kb_article_view&amp;sys_kb_id=12acaed3dbd841105d310573f3961953&amp;sysparm_article=KB0025297)"|
|Thales|CipherTrust Cloud Key Manager (CCKM) Appliance| | |Vulnerable| | | |"[Thales Support](https://supportportal.thalesgroup.com/csm?id=kb_article_view&amp;sys_kb_id=12acaed3dbd841105d310573f3961953&amp;sysparm_article=KB0025297)"|
|Thales|CipherTrust Cloud Key Manager (CCKM) Embedded| |Not vuln|Not vuln|Not vuln|Not vuln| |"[Thales Support](https://supportportal.thalesgroup.com/csm?id=kb_article_view&amp;sys_kb_id=12acaed3dbd841105d310573f3961953&amp;sysparm_article=KB0025297)"|
|Thales|CipherTrust Database Protection| |Not vuln|Not vuln|Not vuln|Not vuln| |"[Thales Support](https://supportportal.thalesgroup.com/csm?id=kb_article_view&amp;sys_kb_id=12acaed3dbd841105d310573f3961953&amp;sysparm_article=KB0025297)"|
|Thales|CipherTrust Manager| |Not vuln|Not vuln|Not vuln|Not vuln| |"[Thales Support](https://supportportal.thalesgroup.com/csm?id=kb_article_view&amp;sys_kb_id=12acaed3dbd841105d310573f3961953&amp;sysparm_article=KB0025297)"|
|Thales|CipherTrust Transparent Encryption (CTE/VTE/CTE-U)| |Not vuln|Not vuln|Not vuln|Not vuln| |"[Thales Support](https://supportportal.thalesgroup.com/csm?id=kb_article_view&amp;sys_kb_id=12acaed3dbd841105d310573f3961953&amp;sysparm_article=KB0025297)"|
|Thales|CipherTrust Vaulted Tokenization (CT-V) / SafeNet Tokenization Manager| | |Vulnerable| | | |"[Thales Support](https://supportportal.thalesgroup.com/csm?id=kb_article_view&amp;sys_kb_id=12acaed3dbd841105d310573f3961953&amp;sysparm_article=KB0025297)"|
|Thales|CipherTrust Vaultless Tokenization (CTS, CT-VL)| |Not vuln|Not vuln|Not vuln|Not vuln| |"[Thales Support](https://supportportal.thalesgroup.com/csm?id=kb_article_view&amp;sys_kb_id=12acaed3dbd841105d310573f3961953&amp;sysparm_article=KB0025297)"|
|Thales|CipherTrust/SafeNet PDBCTL| | |Vulnerable| | | |"[Thales Support](https://supportportal.thalesgroup.com/csm?id=kb_article_view&amp;sys_kb_id=12acaed3dbd841105d310573f3961953&amp;sysparm_article=KB0025297)"|
|Thales|Crypto Command Center (CCC)| | |Vulnerable| | | |"[Thales Support](https://supportportal.thalesgroup.com/csm?id=kb_article_view&amp;sys_kb_id=12acaed3dbd841105d310573f3961953&amp;sysparm_article=KB0025297)"|
|Thales|Data Platform (TDP)(DDC)| | |Vulnerable| | | |"[Thales Support](https://supportportal.thalesgroup.com/csm?id=kb_article_view&amp;sys_kb_id=12acaed3dbd841105d310573f3961953&amp;sysparm_article=KB0025297)"|
|Thales|Data Protection on Demand| |Not vuln|Not vuln|Not vuln|Not vuln| |"[Thales Support](https://supportportal.thalesgroup.com/csm?id=kb_article_view&amp;sys_kb_id=12acaed3dbd841105d310573f3961953&amp;sysparm_article=KB0025297)"|
|Thales|Data Security Manager (DSM)| |Not vuln|Not vuln|Not vuln|Not vuln| |"[Thales Support](https://supportportal.thalesgroup.com/csm?id=kb_article_view&amp;sys_kb_id=12acaed3dbd841105d310573f3961953&amp;sysparm_article=KB0025297)"|
|Thales|KeySecure| |Not vuln|Not vuln|Not vuln|Not vuln| |"[Thales Support](https://supportportal.thalesgroup.com/csm?id=kb_article_view&amp;sys_kb_id=12acaed3dbd841105d310573f3961953&amp;sysparm_article=KB0025297)"|
|Thales|Luna EFT| |Not vuln|Not vuln|Not vuln|Not vuln| |"[Thales Support](https://supportportal.thalesgroup.com/csm?id=kb_article_view&amp;sys_kb_id=12acaed3dbd841105d310573f3961953&amp;sysparm_article=KB0025297)"|
|Thales|Luna Network, PCIe, Luna USB HSM and backup devices| |Not vuln|Not vuln|Not vuln|Not vuln| |"[Thales Support](https://supportportal.thalesgroup.com/csm?id=kb_article_view&amp;sys_kb_id=12acaed3dbd841105d310573f3961953&amp;sysparm_article=KB0025297)"|
|Thales|Luna SP| |Not vuln|Not vuln|Not vuln|Not vuln| |"[Thales Support](https://supportportal.thalesgroup.com/csm?id=kb_article_view&amp;sys_kb_id=12acaed3dbd841105d310573f3961953&amp;sysparm_article=KB0025297)"|
|Thales|payShield 10k| |Not vuln|Not vuln|Not vuln|Not vuln| |"[Thales Support](https://supportportal.thalesgroup.com/csm?id=kb_article_view&amp;sys_kb_id=12acaed3dbd841105d310573f3961953&amp;sysparm_article=KB0025297)"|
|Thales|payShield 9000| |Not vuln|Not vuln|Not vuln|Not vuln| |"[Thales Support](https://supportportal.thalesgroup.com/csm?id=kb_article_view&amp;sys_kb_id=12acaed3dbd841105d310573f3961953&amp;sysparm_article=KB0025297)"|
|Thales|payShield Manager| |Not vuln|Not vuln|Not vuln|Not vuln| |"[Thales Support](https://supportportal.thalesgroup.com/csm?id=kb_article_view&amp;sys_kb_id=12acaed3dbd841105d310573f3961953&amp;sysparm_article=KB0025297)"|
|Thales|payShield Monitor| | |Investigation| | | |"[Thales Support](https://supportportal.thalesgroup.com/csm?id=kb_article_view&amp;sys_kb_id=12acaed3dbd841105d310573f3961953&amp;sysparm_article=KB0025297)"|
|Thales|ProtectServer HSMs| |Not vuln|Not vuln|Not vuln|Not vuln| |"[Thales Support](https://supportportal.thalesgroup.com/csm?id=kb_article_view&amp;sys_kb_id=12acaed3dbd841105d310573f3961953&amp;sysparm_article=KB0025297)"|
|Thales|SafeNet Authentication Client| |Not vuln|Not vuln|Not vuln|Not vuln| |"[Thales Support](https://supportportal.thalesgroup.com/csm?id=kb_article_view&amp;sys_kb_id=12acaed3dbd841105d310573f3961953&amp;sysparm_article=KB0025297)"|
|Thales|SafeNet eToken (all products)| |Not vuln|Not vuln|Not vuln|Not vuln| |"[Thales Support](https://supportportal.thalesgroup.com/csm?id=kb_article_view&amp;sys_kb_id=12acaed3dbd841105d310573f3961953&amp;sysparm_article=KB0025297)"|
|Thales|SafeNet IDPrime Virtual| |Not vuln|Not vuln|Not vuln|Not vuln| |"[Thales Support](https://supportportal.thalesgroup.com/csm?id=kb_article_view&amp;sys_kb_id=12acaed3dbd841105d310573f3961953&amp;sysparm_article=KB0025297)"|
|Thales|SafeNet IDPrime(all products)| |Not vuln|Not vuln|Not vuln|Not vuln| |"[Thales Support](https://supportportal.thalesgroup.com/csm?id=kb_article_view&amp;sys_kb_id=12acaed3dbd841105d310573f3961953&amp;sysparm_article=KB0025297)"|
|Thales|SafeNet LUKS| |Not vuln|Not vuln|Not vuln|Not vuln| |"[Thales Support](https://supportportal.thalesgroup.com/csm?id=kb_article_view&amp;sys_kb_id=12acaed3dbd841105d310573f3961953&amp;sysparm_article=KB0025297)"|
|Thales|SafeNet PKCS#11 and TDE| |Not vuln|Not vuln|Not vuln|Not vuln| |"[Thales Support](https://supportportal.thalesgroup.com/csm?id=kb_article_view&amp;sys_kb_id=12acaed3dbd841105d310573f3961953&amp;sysparm_article=KB0025297)"|
|Thales|SafeNet ProtectApp (PA) CAPI, .Net & Net Core| |Not vuln|Not vuln|Not vuln|Not vuln| |"[Thales Support](https://supportportal.thalesgroup.com/csm?id=kb_article_view&amp;sys_kb_id=12acaed3dbd841105d310573f3961953&amp;sysparm_article=KB0025297)"|
|Thales|SafeNet ProtectDB (PDB)| |Not vuln|Not vuln|Not vuln|Not vuln| |"[Thales Support](https://supportportal.thalesgroup.com/csm?id=kb_article_view&amp;sys_kb_id=12acaed3dbd841105d310573f3961953&amp;sysparm_article=KB0025297)"|
|Thales|Safenet ProtectFile and ProtectFile- Fuse| |Not vuln|Not vuln|Not vuln|Not vuln| |"[Thales Support](https://supportportal.thalesgroup.com/csm?id=kb_article_view&amp;sys_kb_id=12acaed3dbd841105d310573f3961953&amp;sysparm_article=KB0025297)"|
|Thales|SafeNet ProtectV| |Not vuln|Not vuln|Not vuln|Not vuln| |"[Thales Support](https://supportportal.thalesgroup.com/csm?id=kb_article_view&amp;sys_kb_id=12acaed3dbd841105d310573f3961953&amp;sysparm_article=KB0025297)"|
|Thales|SafeNet SQL EKM| |Not vuln|Not vuln|Not vuln|Not vuln| |"[Thales Support](https://supportportal.thalesgroup.com/csm?id=kb_article_view&amp;sys_kb_id=12acaed3dbd841105d310573f3961953&amp;sysparm_article=KB0025297)"|
|Thales|SafeNet Transform Utility (TU)| |Not vuln|Not vuln|Not vuln|Not vuln| |"[Thales Support](https://supportportal.thalesgroup.com/csm?id=kb_article_view&amp;sys_kb_id=12acaed3dbd841105d310573f3961953&amp;sysparm_article=KB0025297)"|
|Thales|SafeNet Trusted Access (STA)| |Not vuln|Not vuln|Not vuln|Not vuln| |"[Thales Support](https://supportportal.thalesgroup.com/csm?id=kb_article_view&amp;sys_kb_id=12acaed3dbd841105d310573f3961953&amp;sysparm_article=KB0025297)"|
|Thales|SafeNet Vaultless Tokenization| | |Vulnerable| | | |"[Thales Support](https://supportportal.thalesgroup.com/csm?id=kb_article_view&amp;sys_kb_id=12acaed3dbd841105d310573f3961953&amp;sysparm_article=KB0025297)"|
|Thales|SAS on Prem (SPE/PCE)| |Not vuln|Not vuln|Not vuln|Not vuln| |"[Thales Support](https://supportportal.thalesgroup.com/csm?id=kb_article_view&amp;sys_kb_id=12acaed3dbd841105d310573f3961953&amp;sysparm_article=KB0025297)"|
|Thales|Sentinel Connect| |Not vuln|Not vuln|Not vuln|Not vuln| |"[Thales Support](https://supportportal.thalesgroup.com/csm?id=kb_article_view&amp;sys_kb_id=12acaed3dbd841105d310573f3961953&amp;sysparm_article=KB0025297)"|
|Thales|Sentinel EMS Enterprise aaS| | |Vulnerable| | | |"[Thales Support](https://supportportal.thalesgroup.com/csm?id=kb_article_view&amp;sys_kb_id=12acaed3dbd841105d310573f3961953&amp;sysparm_article=KB0025297)"|
|Thales|Sentinel EMS Enterprise OnPremise| |Not vuln|Not vuln|Not vuln|Not vuln| |"[Thales Support](https://supportportal.thalesgroup.com/csm?id=kb_article_view&amp;sys_kb_id=12acaed3dbd841105d310573f3961953&amp;sysparm_article=KB0025297)"|
|Thales|Sentinel Envelope| |Not vuln|Not vuln|Not vuln|Not vuln| |"[Thales Support](https://supportportal.thalesgroup.com/csm?id=kb_article_view&amp;sys_kb_id=12acaed3dbd841105d310573f3961953&amp;sysparm_article=KB0025297)"|
|Thales|Sentinel ESDaaS| |Not vuln|Not vuln|Not vuln|Not vuln| |"[Thales Support](https://supportportal.thalesgroup.com/csm?id=kb_article_view&amp;sys_kb_id=12acaed3dbd841105d310573f3961953&amp;sysparm_article=KB0025297)"|
|Thales|Sentinel HASP, Legacy dog, Maze, Hardlock| |Not vuln|Not vuln|Not vuln|Not vuln| |"[Thales Support](https://supportportal.thalesgroup.com/csm?id=kb_article_view&amp;sys_kb_id=12acaed3dbd841105d310573f3961953&amp;sysparm_article=KB0025297)"|
|Thales|Sentinel LDK EMS (LDK-EMS)| | |Vulnerable| | | |"[Thales Support](https://supportportal.thalesgroup.com/csm?id=kb_article_view&amp;sys_kb_id=12acaed3dbd841105d310573f3961953&amp;sysparm_article=KB0025297)"|
|Thales|Sentinel LDKaas (LDK-EMS)| | |Vulnerable| | | |"[Thales Support](https://supportportal.thalesgroup.com/csm?id=kb_article_view&amp;sys_kb_id=12acaed3dbd841105d310573f3961953&amp;sysparm_article=KB0025297)"|
|Thales|Sentinel Professional Services components (both Thales hosted & hosted on-premises by customers)| | |Vulnerable| | | |"[Thales Support](https://supportportal.thalesgroup.com/csm?id=kb_article_view&amp;sys_kb_id=12acaed3dbd841105d310573f3961953&amp;sysparm_article=KB0025297)"|
|Thales|Sentinel RMS| |Not vuln|Not vuln|Not vuln|Not vuln| |"[Thales Support](https://supportportal.thalesgroup.com/csm?id=kb_article_view&amp;sys_kb_id=12acaed3dbd841105d310573f3961953&amp;sysparm_article=KB0025297)"|
|Thales|Sentinel SCL| | |Vulnerable| | | |"[Thales Support](https://supportportal.thalesgroup.com/csm?id=kb_article_view&amp;sys_kb_id=12acaed3dbd841105d310573f3961953&amp;sysparm_article=KB0025297)"|
|Thales|Sentinel Superdog, SuperPro, UltraPro, SHK| |Not vuln|Not vuln|Not vuln|Not vuln| |"[Thales Support](https://supportportal.thalesgroup.com/csm?id=kb_article_view&amp;sys_kb_id=12acaed3dbd841105d310573f3961953&amp;sysparm_article=KB0025297)"|
|Thales|Sentinel Up| |Not vuln|Not vuln|Not vuln|Not vuln| |"[Thales Support](https://supportportal.thalesgroup.com/csm?id=kb_article_view&amp;sys_kb_id=12acaed3dbd841105d310573f3961953&amp;sysparm_article=KB0025297)"|
|Thales|Vormetirc Key Manager (VKM)| |Not vuln|Not vuln|Not vuln|Not vuln| |"[Thales Support](https://supportportal.thalesgroup.com/csm?id=kb_article_view&amp;sys_kb_id=12acaed3dbd841105d310573f3961953&amp;sysparm_article=KB0025297)"|
|Thales|Vormetric Application Encryption (VAE)| |Not vuln|Not vuln|Not vuln|Not vuln| |"[Thales Support](https://supportportal.thalesgroup.com/csm?id=kb_article_view&amp;sys_kb_id=12acaed3dbd841105d310573f3961953&amp;sysparm_article=KB0025297)"|
|Thales|Vormetric Protection for Terradata Database  (VPTD)| |Not vuln|Not vuln|Not vuln|Not vuln| |"[Thales Support](https://supportportal.thalesgroup.com/csm?id=kb_article_view&amp;sys_kb_id=12acaed3dbd841105d310573f3961953&amp;sysparm_article=KB0025297)"|
|Thales|Vormetric Tokenization Server (VTS)| |Not vuln|Not vuln|Not vuln|Not vuln| |"[Thales Support](https://supportportal.thalesgroup.com/csm?id=kb_article_view&amp;sys_kb_id=12acaed3dbd841105d310573f3961953&amp;sysparm_article=KB0025297)"|
|The Linux Foundation|StackStorm (ST2)|All|Not vuln|Not vuln|Not vuln|Not vuln| |[source](https://github.com/StackStorm/st2/discussions/5503)|
|The Linux Foundation|XCP-ng|All|Not vuln|Not vuln|Not vuln|Not vuln| |[source](https://xcp-ng.org/forum/topic/5315/log4j-vulnerability-impact)|
|TheGreenBow|All|All|Not vuln|Not vuln|Not vuln|Not vuln| |[source](https://www.thegreenbow.com/en/societe/actualites/log4shell-security-notice-thegreenbow-vpns-not-affected/)|
|TheHive|All|All|Not vuln|Not vuln|Not vuln|Not vuln|Safety release done removing log4j, despite not being vulnerable|[source](https://twitter.com/StrangeBee/status/1472854290943381504)|
|TheHive|Cortex|All|Not vuln|Not vuln|Not vuln|Not vuln| |[source](https://blog.strangebee.com/apache-log4j-cve-2021-44228/)|
|Thermo Fisher Scientific|All| | | | | | |[Thermo Fisher Scientific Advisory Link](https://corporate.thermofisher.com/us/en/index/about/information-security/Protecting-Our-Products.html)|
|Thermo-Calc|All|2018a and earlier|Not vuln|Not vuln|Not vuln|Not vuln|Use the program as normal|[Thermo-Calc Advisory Link](https://thermocalc.com/blog/thermo-calc-response-to-apache-log4j-2-vulnerability/)|
|Thermo-Calc|All|2018b to 2021a|Not vuln|Not vuln|Not vuln|Not vuln|Use the program as normal, delete the Log4j 2 files in the program installation if required, see advisory for instructions.|[Thermo-Calc Advisory Link](https://thermocalc.com/blog/thermo-calc-response-to-apache-log4j-2-vulnerability/)|
|Thermo-Calc|All|2021b|Not vuln|Not vuln|Not vuln|Not vuln|Use the program as normal|[Thermo-Calc Advisory Link](https://thermocalc.com/blog/thermo-calc-response-to-apache-log4j-2-vulnerability/)|
|Thermo-Calc|All|2022a|Not vuln|Not vuln|Not vuln|Not vuln|Use the program as normal, Install the 2022a patch when available|[Thermo-Calc Advisory Link](https://thermocalc.com/blog/thermo-calc-response-to-apache-log4j-2-vulnerability/)|
|THK Group|FlinQ|All| |Not vuln| | | |[source](/NCSC-NL/log4shell/blob/main/software/vendor-statements/thkgroup.png)|
|THK Group|FlinQ Foresight|All| |Vulnerable| | | |[source](/NCSC-NL/log4shell/blob/main/software/vendor-statements/thkgroup.png)|
|THK Group|Fore!|All| |Not vuln| | | |[source](/NCSC-NL/log4shell/blob/main/software/vendor-statements/thkgroup.png)|
|THK Group|iProtect|All| |Not vuln| | | |[source](/NCSC-NL/log4shell/blob/main/software/vendor-statements/thkgroup.png)|
|THK Group|VDG Sense|All| |Not vuln| | | |[source](/NCSC-NL/log4shell/blob/main/software/vendor-statements/thkgroup.png)|
|Thomson Reuters|HighQ Appliance|<3.5|Not vuln|Fix| | |Reported by vendor - Documentation is in vendor's client portal (login required).  This advisory is available to customer only and has not been reviewed by CISA.|[source](https://highqsolutions.zendesk.com)|
|ThreatLocker|All| | | | | | |[ThreatLocker Log4j Statement](https://threatlocker.kb.help/log4j-vulnerability/)|
|ThycoticCentrify|Account Lifecycle Manager| |Not vuln|Not vuln|Not vuln|Not vuln| |[ThycoticCentrify Products NOT Affected by CVE-2021-44228 Exploit](https://docs.thycotic.com/bulletins/current/2021/cve-2021-44228-exploit.md)|
|ThycoticCentrify|Cloud Suite| |Not vuln|Not vuln|Not vuln|Not vuln| |[ThycoticCentrify Products NOT Affected by CVE-2021-44228 Exploit](https://docs.thycotic.com/bulletins/current/2021/cve-2021-44228-exploit.md)|
|ThycoticCentrify|Connection Manager| |Not vuln|Not vuln|Not vuln|Not vuln| |[ThycoticCentrify Products NOT Affected by CVE-2021-44228 Exploit](https://docs.thycotic.com/bulletins/current/2021/cve-2021-44228-exploit.md)|
|ThycoticCentrify|DevOps Secrets Vault| |Not vuln|Not vuln|Not vuln|Not vuln| |[ThycoticCentrify Products NOT Affected by CVE-2021-44228 Exploit](https://docs.thycotic.com/bulletins/current/2021/cve-2021-44228-exploit.md)|
|ThycoticCentrify|Password Reset Server| |Not vuln|Not vuln|Not vuln|Not vuln| |[ThycoticCentrify Products NOT Affected by CVE-2021-44228 Exploit](https://docs.thycotic.com/bulletins/current/2021/cve-2021-44228-exploit.md)|
|ThycoticCentrify|Privilege Manager| |Not vuln|Not vuln|Not vuln|Not vuln| |[ThycoticCentrify Products NOT Affected by CVE-2021-44228 Exploit](https://docs.thycotic.com/bulletins/current/2021/cve-2021-44228-exploit.md)|
|ThycoticCentrify|Privileged Behavior Analytics| |Not vuln|Not vuln|Not vuln|Not vuln| |[ThycoticCentrify Products NOT Affected by CVE-2021-44228 Exploit](https://docs.thycotic.com/bulletins/current/2021/cve-2021-44228-exploit.md)|
|ThycoticCentrify|Secret Server| |Not vuln|Not vuln|Not vuln|Not vuln| |[ThycoticCentrify Products NOT Affected by CVE-2021-44228 Exploit](https://docs.thycotic.com/bulletins/current/2021/cve-2021-44228-exploit.md)|
|Tibco|All| | | | | | |[Tibco Support Link](https://www.tibco.com/support/notices/2021/12/apache-log4j-vulnerability-update)|
|Tools4ever|HelloID|All| |Not vuln| | | |[source](https://forum.helloid.com/forum/main-forum/642-log4j-vulnerability)|
|Top Gun Technology (TGT)|All| | | | | | |[TGT Bulletin](https://www.topgun-tech.com/technical-bulletin-apache-software-log4j-security-vulnerability-cve-2021-44228/)|
|TOPdesk|On-Premises Classic|All| |Not vuln| | |Although the standard product is not vulnerable, we advise our customers to scan for vulnerabilies if they modified the product, installed add-ons or bespoke work|[source](/NCSC-NL/log4shell/blob/main/software/vendor-statements/TOPdesk.png)|
|TOPdesk|On-Premises Virtual Appliance|All| |Not vuln| | |Although the standard product is not vulnerable, we advise our customers to scan for vulnerabilies if they modified the product, installed add-ons or bespoke work|[source](/NCSC-NL/log4shell/blob/main/software/vendor-statements/TOPdesk.png)|
|TOPdesk|SaaS|All|Not vuln|Not vuln|Not vuln|Not vuln| |[source](/NCSC-NL/log4shell/blob/main/software/vendor-statements/TOPdesk.png)|
|Topicus Security|Topicus KeyHub|All|Not vuln|Not vuln|Not vuln|Not vuln| |[source](https://blog.topicus-keyhub.com/topicus-keyhub-is-not-vulnerable-to-cve-2021-44228/)|
|Topix|All| | | | | | |[Topix Statement](https://www.topix.de/de/technik/systemfreigaben.html)|
|Tosibox|All| |Not vuln|Fix| | | |[source](https://helpdesk.tosibox.com/support/solutions/articles/2100050946-security-advisory-on-vulnerability-in-apache-log4j-library-cve-2021-44228)|
|TP-Link|Omada SDN Controller (Linux)|4.4.8|Not vuln|Fix| | | |[source](https://community.tp-link.com/en/business/forum/topic/514452)|
|TP-Link|Omada SDN Controller (Windows)|5.0.29|Not vuln|Fix| | | |[source](https://community.tp-link.com/en/business/forum/topic/514452)|
|TPLink|Omega Controller|Linux/Windows(all)|Not vuln|Fix| | |Update is Beta. Reddit: overwritten vulnerable log4j with 2.15 files as potential workaround. Though that should now be done with 2.16|[Statement on Apache Log4j Vulnerability](https://www.tp-link.com/us/support/faq/3255)|
|Trend Micro|5G Mobile Network Security| |Not vuln|Not vuln|Not vuln|Not vuln| |[source](https://success.trendmicro.com/solution/000289940)|
|Trend Micro|ActiveUpdate| |Not vuln|Not vuln|Not vuln|Not vuln| |[source](https://success.trendmicro.com/solution/000289940)|
|Trend Micro|Apex Central (including as a Service)| |Not vuln|Not vuln|Not vuln|Not vuln| |[source](https://success.trendmicro.com/solution/000289940)|
|Trend Micro|Apex One (all versions including SaaS, Mac, and Edge Relay)| |Not vuln|Not vuln|Not vuln|Not vuln| |[source](https://success.trendmicro.com/solution/000289940)|
|Trend Micro|Cloud App Security| | |Fix| | | |[source](https://success.trendmicro.com/solution/000289940)|
|Trend Micro|Cloud Edge| |Not vuln|Not vuln|Not vuln|Not vuln| |[source](https://success.trendmicro.com/solution/000289940)|
|Trend Micro|Cloud One - Application Security| |Not vuln|Not vuln|Not vuln|Not vuln| |[source](https://success.trendmicro.com/solution/000289940)|
|Trend Micro|Cloud One - Common Services| |Not vuln|Not vuln|Not vuln|Not vuln| |[source](https://success.trendmicro.com/solution/000289940)|
|Trend Micro|Cloud One - Conformity| |Not vuln|Not vuln|Not vuln|Not vuln| |[source](https://success.trendmicro.com/solution/000289940)|
|Trend Micro|Cloud One - Container Security| |Not vuln|Not vuln|Not vuln|Not vuln| |[source](https://success.trendmicro.com/solution/000289940)|
|Trend Micro|Cloud One - File Storage Security| |Not vuln|Not vuln|Not vuln|Not vuln| |[source](https://success.trendmicro.com/solution/000289940)|
|Trend Micro|Cloud One - Network Security| |Not vuln|Not vuln|Not vuln|Not vuln| |[source](https://success.trendmicro.com/solution/000289940)|
|Trend Micro|Cloud One - Workload Secuity| |Not vuln|Not vuln|Not vuln|Not vuln| |[source](https://success.trendmicro.com/solution/000289940)|
|Trend Micro|Cloud Sandbox| |Not vuln|Not vuln|Not vuln|Not vuln| |[source](https://success.trendmicro.com/solution/000289940)|
|Trend Micro|Deep Discovery Analyzer| |Not vuln|Not vuln|Not vuln|Not vuln| |[source](https://success.trendmicro.com/solution/000289940)|
|Trend Micro|Deep Discovery Director|5.3 CP B1228, 5.2 CP B1400|Not vuln|Fix|Fix|Fix|5.3 CP1228 replaces the previous B1225.  Customers may upgrade from any 5.3 build 1225 or below to the latest CP1228. Please note that all versions of Trend Micro Deep Discovery Director 5.1 SP1 and below have officially reached End-of-Life (EOL) and no patch will be made available. |[source](https://success.trendmicro.com/solution/000290055)|
|Trend Micro|Deep Discovery Email Inspector| |Not vuln|Not vuln|Not vuln|Not vuln| |[source](https://success.trendmicro.com/solution/000289940)|
|Trend Micro|Deep Discovery Inspector| |Not vuln|Not vuln|Not vuln|Not vuln| |[source](https://success.trendmicro.com/solution/000289940)|
|Trend Micro|Deep Discovery Web Inspector| |Not vuln|Not vuln|Not vuln|Not vuln| |[source](https://success.trendmicro.com/solution/000289940)|
|Trend Micro|Deep Security| |Not vuln|Not vuln|Not vuln|Not vuln| |[source](https://success.trendmicro.com/solution/000289940)|
|Trend Micro|Email Security & HES| |Not vuln|Fix| | | |[source](https://success.trendmicro.com/solution/000289940)|
|Trend Micro|Endpoint Encryption| |Not vuln|Not vuln|Not vuln|Not vuln| |[source](https://success.trendmicro.com/solution/000289940)|
|Trend Micro|Endpoint Sensor| |Not vuln|Not vuln|Not vuln|Not vuln| |[source](https://success.trendmicro.com/solution/000289940)|
|Trend Micro|Fraudbuster| |Not vuln|Not vuln|Not vuln|Not vuln| |[source](https://success.trendmicro.com/solution/000289940)|
|Trend Micro|Home Network Security| |Not vuln|Not vuln|Not vuln|Not vuln| |[source](https://success.trendmicro.com/solution/000289940)|
|Trend Micro|Housecall| |Not vuln|Not vuln|Not vuln|Not vuln| |[source](https://success.trendmicro.com/solution/000289940)|
|Trend Micro|ID Security| |Not vuln|Not vuln|Not vuln|Not vuln| |[source](https://success.trendmicro.com/solution/000289940)|
|Trend Micro|Instant Messaging Security| |Not vuln|Not vuln|Not vuln|Not vuln| |[source](https://success.trendmicro.com/solution/000289940)|
|Trend Micro|Internet Security for Mac (Consumer)| |Not vuln|Not vuln|Not vuln|Not vuln| |[source](https://success.trendmicro.com/solution/000289940)|
|Trend Micro|Interscan Messaging Security| |Not vuln|Not vuln|Not vuln|Not vuln| |[source](https://success.trendmicro.com/solution/000289940)|
|Trend Micro|Interscan Messaging Security Virtual Appliance (IMSVA)| |Not vuln|Not vuln|Not vuln|Not vuln| |[source](https://success.trendmicro.com/solution/000289940)|
|Trend Micro|Interscan Web Security Suite| |Not vuln|Not vuln|Not vuln|Not vuln| |[source](https://success.trendmicro.com/solution/000289940)|
|Trend Micro|Interscan Web Security Virtual Appliance (IWSVA)| |Not vuln|Not vuln|Not vuln|Not vuln| |[source](https://success.trendmicro.com/solution/000289940)|
|Trend Micro|Mobile Security for Android| |Not vuln|Not vuln|Not vuln|Not vuln| |[source](https://success.trendmicro.com/solution/000289940)|
|Trend Micro|Mobile Security for Enterprise| |Not vuln|Not vuln|Not vuln|Not vuln| |[source](https://success.trendmicro.com/solution/000289940)|
|Trend Micro|Mobile Security for iOS| |Not vuln|Not vuln|Not vuln|Not vuln| |[source](https://success.trendmicro.com/solution/000289940)|
|Trend Micro|MyAccount (Consumer Sign-on)| |Not vuln|Not vuln|Not vuln|Not vuln| |[source](https://success.trendmicro.com/solution/000289940)|
|Trend Micro|Network Viruswall| |Not vuln|Not vuln|Not vuln|Not vuln| |[source](https://success.trendmicro.com/solution/000289940)|
|Trend Micro|OfficeScan| |Not vuln|Not vuln|Not vuln|Not vuln| |[source](https://success.trendmicro.com/solution/000289940)|
|Trend Micro|Password Manager| |Not vuln|Not vuln|Not vuln|Not vuln| |[source](https://success.trendmicro.com/solution/000289940)|
|Trend Micro|Phish Insight| |Not vuln|Not vuln|Not vuln|Not vuln| |[source](https://success.trendmicro.com/solution/000289940)|
|Trend Micro|Policy Manager| |Not vuln|Not vuln|Not vuln|Not vuln| |[source](https://success.trendmicro.com/solution/000289940)|
|Trend Micro|Portable Security| |Not vuln|Not vuln|Not vuln|Not vuln| |[source](https://success.trendmicro.com/solution/000289940)|
|Trend Micro|PortalProtect| |Not vuln|Not vuln|Not vuln|Not vuln| |[source](https://success.trendmicro.com/solution/000289940)|
|Trend Micro|Public Wifi Protection / VPN Proxy One Pro| |Not vuln|Not vuln|Not vuln|Not vuln| |[source](https://success.trendmicro.com/solution/000289940)|
|Trend Micro|Remote Manager| |Not vuln|Not vuln|Not vuln|Not vuln| |[source](https://success.trendmicro.com/solution/000289940)|
|Trend Micro|Rescue Disk| |Not vuln|Not vuln|Not vuln|Not vuln| |[source](https://success.trendmicro.com/solution/000289940)|
|Trend Micro|Rootkit Buster| |Not vuln|Not vuln|Not vuln|Not vuln| |[source](https://success.trendmicro.com/solution/000289940)|
|Trend Micro|Safe Lock (TXOne Edition)| |Not vuln|Not vuln|Not vuln|Not vuln| |[source](https://success.trendmicro.com/solution/000289940)|
|Trend Micro|Safe Lock 2.0| |Not vuln|Not vuln|Not vuln|Not vuln| |[source](https://success.trendmicro.com/solution/000289940)|
|Trend Micro|Sandbox as a Service| |Not vuln|Fix| | | |[source](https://success.trendmicro.com/solution/000289940)|
|Trend Micro|ScanMail for Domino| |Not vuln|Not vuln|Not vuln|Not vuln| |[source](https://success.trendmicro.com/solution/000289940)|
|Trend Micro|ScanMail for Exchange| |Not vuln|Not vuln|Not vuln|Not vuln| |[source](https://success.trendmicro.com/solution/000289940)|
|Trend Micro|Security (Consumer)| |Not vuln|Not vuln|Not vuln|Not vuln| |[source](https://success.trendmicro.com/solution/000289940)|
|Trend Micro|Security for NAS| |Not vuln|Not vuln|Not vuln|Not vuln| |[source](https://success.trendmicro.com/solution/000289940)|
|Trend Micro|ServerProtect (all versions)| |Not vuln|Not vuln|Not vuln|Not vuln| |[source](https://success.trendmicro.com/solution/000289940)|
|Trend Micro|Smart Home Network| |Not vuln|Not vuln|Not vuln|Not vuln| |[source](https://success.trendmicro.com/solution/000289940)|
|Trend Micro|Smart Protection Complete| |Not vuln|Not vuln|Not vuln|Not vuln| |[source](https://success.trendmicro.com/solution/000289940)|
|Trend Micro|Smart Protection for Endpoints| |Not vuln|Not vuln|Not vuln|Not vuln| |[source](https://success.trendmicro.com/solution/000289940)|
|Trend Micro|Smart Protection Server (SPS)| |Not vuln|Not vuln|Not vuln|Not vuln| |[source](https://success.trendmicro.com/solution/000289940)|
|Trend Micro|TippingPoint Accessories| |Not vuln|Not vuln|Not vuln|Not vuln| |[source](https://success.trendmicro.com/solution/000289940)|
|Trend Micro|TippingPoint IPS (N-, NX- and S-series)| |Not vuln|Not vuln|Not vuln|Not vuln| |[source](https://success.trendmicro.com/solution/000289940)|
|Trend Micro|TippingPoint Network Protection (AWS & Azure)| |Not vuln|Not vuln|Not vuln|Not vuln| |[source](https://success.trendmicro.com/solution/000289940)|
|Trend Micro|TippingPoint SMS| |Not vuln|Not vuln|Not vuln|Not vuln| |[source](https://success.trendmicro.com/solution/000289940)|
|Trend Micro|TippingPoint Threat Management Center (TMC)| |Not vuln|Fix| | | |[source](https://success.trendmicro.com/solution/000289940)|
|Trend Micro|TippingPoint ThreatDV| |Not vuln|Not vuln|Not vuln|Not vuln| |[source](https://success.trendmicro.com/solution/000289940)|
|Trend Micro|TippingPoint TPS| |Not vuln|Not vuln|Not vuln|Not vuln| |[source](https://success.trendmicro.com/solution/000289940)|
|Trend Micro|TippingPoint TX-Series| |Not vuln|Not vuln|Not vuln|Not vuln| |[source](https://success.trendmicro.com/solution/000289940)|
|Trend Micro|TippingPoint Virtual SMS| |Not vuln|Not vuln|Not vuln|Not vuln| |[source](https://success.trendmicro.com/solution/000289940)|
|Trend Micro|TippingPoint Virtual TPS| |Not vuln|Not vuln|Not vuln|Not vuln| |[source](https://success.trendmicro.com/solution/000289940)|
|Trend Micro|TMUSB| |Not vuln|Not vuln|Not vuln|Not vuln| |[source](https://success.trendmicro.com/solution/000289940)|
|Trend Micro|TXOne (Edge Series)| |Not vuln|Not vuln|Not vuln|Not vuln| |[source](https://success.trendmicro.com/solution/000289940)|
|Trend Micro|TXOne (Stekkar Series)| |Not vuln|Not vuln|Not vuln|Not vuln| |[source](https://success.trendmicro.com/solution/000289940)|
|Trend Micro|Virtual Patch for Endpoint| | |Investigation| | | |[source](https://success.trendmicro.com/solution/000289940)|
|Trend Micro|Vision One| |Not vuln|Fix| | | |[source](https://success.trendmicro.com/solution/000289940)|
|Trend Micro|Web Security| |Not vuln|Fix| | | |[source](https://success.trendmicro.com/solution/000289940)|
|Trend Micro|Worry-Free Business Security (on-prem)| |Not vuln|Not vuln|Not vuln|Not vuln| |[source](https://success.trendmicro.com/solution/000289940)|
|Trend Micro|Worry-Free Business Security Services| |Not vuln|Not vuln|Not vuln|Not vuln| |[source](https://success.trendmicro.com/solution/000289940)|
|TrendMicro|All| | |Investigation| | | |[source](https://success.trendmicro.com/solution/000289940)|
|tribe29|Check_MK| |Not vuln|Not vuln|Not vuln|Not vuln| |[source](https://forum.checkmk.com/t/checkmk-not-affected-by-log4shell/28643)|
|Tricentis Tosca|All| | | | | | |"[Tricentis Tosca Statement](https://support-hub.tricentis.com/open?number=NEW0001148&amp;id=post)"|
|Trimble|eCognition|10.2.0 Build 4618| |Vulnerable| | |Remediation steps provided by Trimble||
|Tripwire|® Enterprise| |Not vuln|Not vuln|Not vuln|Not vuln| |[source](https://www.tripwire.com/log4j)|
|Tripwire|Anyware SCM| | |Vulnerable| | | |[source](https://www.tripwire.com/log4j)|
|Tripwire|Apps| |Not vuln|Not vuln|Not vuln|Not vuln| |[source](https://www.tripwire.com/log4j)|
|Tripwire|Configuration Compliance Manager (CCM)| |Not vuln|Not vuln|Not vuln|Not vuln| |[source](https://www.tripwire.com/log4j)|
|Tripwire|Configuration Manager SaaS| | |Vulnerable| | | |[source](https://www.tripwire.com/log4j)|
|Tripwire|Connect (on-prem)| | |Vulnerable| | | |[source](https://www.tripwire.com/log)|
|Tripwire|Connect SaaS (cloud)| | |Vulnerable| | | |[source](https://www.tripwire.com/log4j)|
|Tripwire|for Servers (TFS)| |Not vuln|Not vuln|Not vuln|Not vuln| |[source](https://www.tripwire.com/log4j)|
|Tripwire|Industrial Sentinel| |Not vuln|Workaround| | | |[source](https://www.tripwire.com/log4j)|
|Tripwire|Industrial Visibility| |Not vuln|Not vuln|Not vuln|Not vuln| |[source](https://www.tripwire.com/log4j)|
|Tripwire|IP360™| |Not vuln|Not vuln|Not vuln|Not vuln| |[source](https://www.tripwire.com/log4j)|
|Tripwire|LogCenter®| |Not vuln|Not vuln|Not vuln|Not vuln| |[source](https://www.tripwire.com/log4j)|
|Tripwire|State Analyzer| | |Vulnerable| | | |[source](https://www.tripwire.com/log4j)|
|TrueNAS|All| | | | | | |[TrueNAS Statement](https://www.truenas.com/community/threads/log4j-vulnerability.97359/post-672559)|
|TRUMPF|all other TRUMPF machines and systems| |Not vuln|Not vuln|Not vuln|Not vuln| |[source](https://www.trumpf.com/filestorage/TRUMPF_Master/Corporate/Security/TRUMPF-Security-Information-TSI-2021-1.pdf)|
|TRUMPF|PFO Smart Teach App| |Not vuln|Not vuln|Not vuln|Not vuln| |[source](https://www.trumpf.com/filestorage/TRUMPF_Master/Corporate/Security/TRUMPF-Security-Information-TSI-2021-1.pdf)|
|TRUMPF|QDS 2.0| |Not vuln|Not vuln|Not vuln|Not vuln| |[source](https://www.trumpf.com/filestorage/TRUMPF_Master/Corporate/Security/TRUMPF-Security-Information-TSI-2021-1.pdf)|
|TRUMPF|redpowerDirect| |Not vuln|Not vuln|Not vuln|Not vuln| |[source](https://www.trumpf.com/filestorage/TRUMPF_Master/Corporate/Security/TRUMPF-Security-Information-TSI-2021-1.pdf)|
|TRUMPF|Seamline Remote| |Not vuln|Not vuln|Not vuln|Not vuln| |[source](https://www.trumpf.com/filestorage/TRUMPF_Master/Corporate/Security/TRUMPF-Security-Information-TSI-2021-1.pdf)|
|TRUMPF|Smart Power Tube| |Not vuln|Not vuln|Not vuln|Not vuln| |[source](https://www.trumpf.com/filestorage/TRUMPF_Master/Corporate/Security/TRUMPF-Security-Information-TSI-2021-1.pdf)|
|TRUMPF|Smart View Services| |Not vuln|Not vuln|Not vuln|Not vuln| |[source](https://www.trumpf.com/filestorage/TRUMPF_Master/Corporate/Security/TRUMPF-Security-Information-TSI-2021-1.pdf)|
|TRUMPF|TruBend Cell 5000 / 7000| | |Investigation| | | |[source](https://www.trumpf.com/filestorage/TRUMPF_Master/Corporate/Security/TRUMPF-Security-Information-TSI-2021-1.pdf)|
|TRUMPF|TruBend Center| | |Investigation| | | |[source](https://www.trumpf.com/filestorage/TRUMPF_Master/Corporate/Security/TRUMPF-Security-Information-TSI-2021-1.pdf)|
|TRUMPF|TruConvert| |Not vuln|Not vuln|Not vuln|Not vuln| |[source](https://www.trumpf.com/filestorage/TRUMPF_Master/Corporate/Security/TRUMPF-Security-Information-TSI-2021-1.pdf)|
|TRUMPF|TruDiode| |Not vuln|Not vuln|Not vuln|Not vuln| |[source](https://www.trumpf.com/filestorage/TRUMPF_Master/Corporate/Security/TRUMPF-Security-Information-TSI-2021-1.pdf)|
|TRUMPF|TruDisk| |Not vuln|Not vuln|Not vuln|Not vuln| |[source](https://www.trumpf.com/filestorage/TRUMPF_Master/Corporate/Security/TRUMPF-Security-Information-TSI-2021-1.pdf)|
|TRUMPF|TruFiber| |Not vuln|Not vuln|Not vuln|Not vuln| |[source](https://www.trumpf.com/filestorage/TRUMPF_Master/Corporate/Security/TRUMPF-Security-Information-TSI-2021-1.pdf)|
|TRUMPF|TruHeat| |Not vuln|Not vuln|Not vuln|Not vuln| |[source](https://www.trumpf.com/filestorage/TRUMPF_Master/Corporate/Security/TRUMPF-Security-Information-TSI-2021-1.pdf)|
|TRUMPF|TruLaser 5000 series| | |Investigation| | | |[source](https://www.trumpf.com/filestorage/TRUMPF_Master/Corporate/Security/TRUMPF-Security-Information-TSI-2021-1.pdf)|
|TRUMPF|TruLaser all other series| |Not vuln|Not vuln|Not vuln|Not vuln| |[source](https://www.trumpf.com/filestorage/TRUMPF_Master/Corporate/Security/TRUMPF-Security-Information-TSI-2021-1.pdf)|
|TRUMPF|TruLaser Center 7030| | |Investigation| | | |[source](https://www.trumpf.com/filestorage/TRUMPF_Master/Corporate/Security/TRUMPF-Security-Information-TSI-2021-1.pdf)|
|TRUMPF|TruMark| |Not vuln|Not vuln|Not vuln|Not vuln| |[source](https://www.trumpf.com/filestorage/TRUMPF_Master/Corporate/Security/TRUMPF-Security-Information-TSI-2021-1.pdf)|
|TRUMPF|TruMatic 1000 fiber| | |Investigation| | | |[source](https://www.trumpf.com/filestorage/TRUMPF_Master/Corporate/Security/TRUMPF-Security-Information-TSI-2021-1.pdf)|
|TRUMPF|TruMatic 3000| | |Investigation| | | |[source](https://www.trumpf.com/filestorage/TRUMPF_Master/Corporate/Security/TRUMPF-Security-Information-TSI-2021-1.pdf)|
|TRUMPF|TruMatic all other series| |Not vuln|Not vuln|Not vuln|Not vuln| |[source](https://www.trumpf.com/filestorage/TRUMPF_Master/Corporate/Security/TRUMPF-Security-Information-TSI-2021-1.pdf)|
|TRUMPF|TruMicro series| |Not vuln|Not vuln|Not vuln|Not vuln| |[source](https://www.trumpf.com/filestorage/TRUMPF_Master/Corporate/Security/TRUMPF-Security-Information-TSI-2021-1.pdf)|
|TRUMPF|TruPlasma| |Not vuln|Not vuln|Not vuln|Not vuln| |[source](https://www.trumpf.com/filestorage/TRUMPF_Master/Corporate/Security/TRUMPF-Security-Information-TSI-2021-1.pdf)|
|TRUMPF|TruPrint Monitoring Analyzer| |Not vuln|Not vuln|Not vuln|Not vuln| |[source](https://www.trumpf.com/filestorage/TRUMPF_Master/Corporate/Security/TRUMPF-Security-Information-TSI-2021-1.pdf)|
|TRUMPF|TruPulse| |Not vuln|Not vuln|Not vuln|Not vuln| |[source](https://www.trumpf.com/filestorage/TRUMPF_Master/Corporate/Security/TRUMPF-Security-Information-TSI-2021-1.pdf)|
|TRUMPF|TruPunch 1000 / 3000| | |Investigation| | | |[source](https://www.trumpf.com/filestorage/TRUMPF_Master/Corporate/Security/TRUMPF-Security-Information-TSI-2021-1.pdf)|
|TRUMPF|TruPunch all other series| |Not vuln|Not vuln|Not vuln|Not vuln| |[source](https://www.trumpf.com/filestorage/TRUMPF_Master/Corporate/Security/TRUMPF-Security-Information-TSI-2021-1.pdf)|
|TRUMPF|TruTops Boost| |Not vuln|Not vuln|Not vuln|Not vuln| |[source](https://www.trumpf.com/filestorage/TRUMPF_Master/Corporate/Security/TRUMPF-Security-Information-TSI-2021-1.pdf)|
|TRUMPF|TruTops Calculate| |Not vuln|Not vuln|Not vuln|Not vuln| |[source](https://www.trumpf.com/filestorage/TRUMPF_Master/Corporate/Security/TRUMPF-Security-Information-TSI-2021-1.pdf)|
|TRUMPF|TruTops Cell| |Not vuln|Not vuln|Not vuln|Not vuln| |[source](https://www.trumpf.com/filestorage/TRUMPF_Master/Corporate/Security/TRUMPF-Security-Information-TSI-2021-1.pdf)|
|TRUMPF|TruTops Classic| |Not vuln|Not vuln|Not vuln|Not vuln| |[source](https://www.trumpf.com/filestorage/TRUMPF_Master/Corporate/Security/TRUMPF-Security-Information-TSI-2021-1.pdf)|
|TRUMPF|TruTops FAB| |Not vuln|Not vuln|Not vuln|Not vuln| |[source](https://www.trumpf.com/filestorage/TRUMPF_Master/Corporate/Security/TRUMPF-Security-Information-TSI-2021-1.pdf)|
|TRUMPF|TruTops I-PFO| |Not vuln|Not vuln|Not vuln|Not vuln| |[source](https://www.trumpf.com/filestorage/TRUMPF_Master/Corporate/Security/TRUMPF-Security-Information-TSI-2021-1.pdf)|
|TRUMPF|TruTops Mark 3D| |Not vuln|Not vuln|Not vuln|Not vuln| |[source](https://www.trumpf.com/filestorage/TRUMPF_Master/Corporate/Security/TRUMPF-Security-Information-TSI-2021-1.pdf)|
|TRUMPF|TruTops Monitor| |Not vuln|Not vuln|Not vuln|Not vuln| |[source](https://www.trumpf.com/filestorage/TRUMPF_Master/Corporate/Security/TRUMPF-Security-Information-TSI-2021-1.pdf)|
|TRUMPF|TruTops PFO| |Not vuln|Not vuln|Not vuln|Not vuln| |[source](https://www.trumpf.com/filestorage/TRUMPF_Master/Corporate/Security/TRUMPF-Security-Information-TSI-2021-1.pdf)|
|TRUMPF|TruTops Print| |Not vuln|Not vuln|Not vuln|Not vuln| |[source](https://www.trumpf.com/filestorage/TRUMPF_Master/Corporate/Security/TRUMPF-Security-Information-TSI-2021-1.pdf)|
|TRUMPF|TruTops Print Multilaser Assistant| |Not vuln|Not vuln|Not vuln|Not vuln| |[source](https://www.trumpf.com/filestorage/TRUMPF_Master/Corporate/Security/TRUMPF-Security-Information-TSI-2021-1.pdf)|
|TRUMPF|Visionline| |Not vuln|Not vuln|Not vuln|Not vuln| |[source](https://www.trumpf.com/filestorage/TRUMPF_Master/Corporate/Security/TRUMPF-Security-Information-TSI-2021-1.pdf)|
|Tufin|All| | | | | | |[Tufin Statement](https://portal.tufin.com/articles/SecurityAdvisories/Apache-Log4Shell-Vulnerability-12-12-2021)|
|TYPO3|All| | | | | | |[TYPO3 Statement](https://typo3.org/article/typo3-psa-2021-004)|
